<?php

// QT-registerations 1.6 build:20081216

class cTab
{

// --------

function Add($s,$id,$taborder=1,$tabselect='1',$intFields=0)
{
  // ticket, messages and documents are required tabs (created during section creation) cannot be added from here

  // Check
  
  if ( !is_int($s) ) die('cTab->Add: Argument #1 must be a integer');
  if ( !is_string($id) || empty($id) ) die('cTab->Add: Argument #2 must be a string');
  if ( !is_int($taborder) ) die('cTab->Add: Argument #3 must be a integer');
  if ( !is_string($tabselect) ) die('cTab->Add: Argument #4 must be a string');
  if ( !is_int($intFields) ) die('cTab->Add: Argument #5 must be a integer');
  if ( $tabselect!='0' ) $tabselect='1';

  // Process
  
  global $oDB;
  $qtr_error = '';

  $id = QTconv($id,'K');
  if ( in_array($id,array('ticket','messages','documents')) ) $qtr_error = "Tab id [$id] already used";

  // Unique name in this section

  if ( empty($qtr_error) )
  {
  $oDB->Query('SELECT count(*) AS countid FROM '.TABTAB.' WHERE section='.$s.' AND tabid="'.$id.'"');
  $row=$oDB->Getrow();
  if ( $row['countid']>0 ) $qtr_error = "Tab id [$id] already used";
  }

  // Save new tab in this section and register lang

  if ( empty($qtr_error) )
  {
    $oDB->Query('INSERT INTO '.TABTAB.' (section,tabid,taborder,tabselect,tabfields,tabframe) VALUES ('.$s.',"'.$id.'",'.$taborder.',"'.$tabselect.'",'.$intFields.',"")');
    $_SESSION['L']['tab'] = cLang::GetName('tab',$_SESSION[QT]['lang_iso'],'*');
  
    UpdateSectionStats($s);
  }

  // Exit

  return $qtr_error;
}

// --------

function Delete($s,$id)
{
  // Check

  if ( !is_int($s) ) die('cTab->Delete: Argument #1 must be a integer');
  if ( !is_string($id) ) die('cTab->Delete: Argument #2 must be a string');
  if ( $id!=QTconv($id,'K') ) die('cTab->Delete: Argument #2 must be a keycode string');
  if ( in_array($id,array('ticket','messages','documents','gmap')) ) die('cTab->Delete: Argument #2 cannot be "ticket" nor "messages" nor "documents"');

  // remove tab from section
  
  global $oDB;

  $oDB->Query('DELETE FROM '.TABTAB.' WHERE section='.$s.' AND tabid="'.$id.'"');

  // if no more used deletetab lang and fields

  $oDB->Query('SELECT count(*) AS countid FROM '.TABTAB.' WHERE tabid="'.$id.'"');
  $row=$oDB->Getrow();
  if ( $row['countid']==0 )
  {
    // delete tab
    cLang::Delete('tab',$id);
    // unregister from lang
    if ( isset($_SESSION['L']['tab'][$id]) ) unset($_SESSION['L']['tab'][$id]);
    if ( isset($_SESSION['L']['tabdesc'][$id]) ) unset($_SESSION['L']['tabdesc'][$id]);
    // delete each fields of this tab
    $arr = cTab::GetFields($id);
    if ( count($arr)>0 ) 
    {
      foreach ($arr as $strKey=>$strValue)
      {
      cField::Delete($strKey);
      }
    }
  }

  UpdateSectionStats($s);

}

// --------

function GetTab($id='')
{
  // Check
  
  if ( !is_string($id) ) die('cTab->GetTab: Argument #1 must be a string');

  // This method returns the db-propertie of one tab
  // ALSO the translation 'tabname' (and tabdesc if not empty)
  
  global $oDB;

  $oDB->Query('SELECT * FROM '.TABTAB.' WHERE tabid="'.$id.'"');
  $row = $oDB->Getrow();
    if ( !is_array($row) ) $row = array('tabid'=>$id);
    if ( count($row)==0 ) $row = array('tabid'=>$id);
  $row['tabname'] = ObjTrans('tab',$id,true);
  $row['tabdesc'] = QTconv(ObjTrans('tabdesc',$id,false));
  return $row;
}

// --------

function GetTabs($intS=-1,$bOnlyName=false)
{
  // This method creates an array of several tabs (from section $intS)
  // $intS -1 to get ALL tabs
  // $intS -2 to get messages and documents only
  // Each tab is an array of db-properties (or just the tabnames if using $bOnlyName)
  // ALSO the translation 'tabname' (and tabdesc if not empty)

  // Check
  
  if ( !is_int($intS) ) die('cTab->GetTabs: Argument #1 must be an integer.');
  
  // Process
  
  global $oDB,$oVIP;
  
  $arr = array();
  $strWhere = 'section='.$intS;
  if ( $intS==-1 ) $strWhere = 'section>=0';
  if ( $intS==-2 ) $strWhere = '(tabid="messages" OR tabid="documents")';
  if ( $oVIP->role=='U' || $oVIP->role=='V' ) $strWhere .= ' AND tabselect="1"';

  $oDB->Query('SELECT * FROM '.TABTAB. ' WHERE '.$strWhere.' ORDER by taborder');
  while($row=$oDB->Getrow())
  {
    if ( $bOnlyName )
    {
    $arr[$row['tabid']] = ObjTrans('tab',$row['tabid'],true);
    }
    else
    {
    $arr[$row['tabid']] = $row;
    $arr[$row['tabid']]['tabname'] = ObjTrans('tab',$row['tabid'],true);
    $arr[$row['tabid']]['tabdesc'] = QTconv(ObjTrans('tabdesc',$row['tabid'],false,30)); // truncated and QTconv-ed because it is design to be a link title
    }
  }
  if ( !isset($arr['messages']) ) $arr['messages'] = array('tabid'=>'messages','section'=>$intS,'tabselect'=>1,'tabframe'=>'','tabname'=>ObjTrans('tab','messages',true),'tabdesc'=>ObjTrans('tabdesc','messages',true));
  if ( !isset($arr['documents']) ) $arr['documents'] = array('tabid'=>'documents','section'=>$intS,'tabselect'=>1,'tabframe'=>'','tabname'=>ObjTrans('tab','documents',true),'tabdesc'=>ObjTrans('tabdesc','documents',true));
  return $arr;
}

// --------

function GetFields($id='')
{
  global $oDB;
  $arr = array();
  
  $oDB->Query( 'SELECT fieldid FROM '.TABFIELD.($id=='' ? '' : ' WHERE tabid="'.$id.'"').' ORDER by fieldorder' );
  while($row=$oDB->Getrow())
  {
    $arr[$row['fieldid']] = ObjTrans('field',$row['fieldid']);
  }
  return $arr;
}

// --------

function Rename($id='',$newid='')
{
  // Check

  $qtr_error = '';
  if ( !is_string($id) || empty($id) ) die('cTab::Rename: Argument #1 must be a string');
  if ( !is_string($newid) || empty($newid) ) die('cTab::Rename: Argument #2 must be a string');
  if ( in_array($id,array('ticket','messages','documents','gmap')) ) die('cTab->Rename: Argument #1 cannot be "ticket" nor "messages" nor "documents"');
  if ( $id!=QTconv($id,'K') ) $qtr_error = 'cTab::Rename: Argument #1 must be a keycode string';

  // Process
  
  global $oDB;

  // format newid

  if ( empty($qtr_error) )
  {
  $newid = QTconv($newid,'K');
  }

  // check unique name

  if ( empty($qtr_error) )
  {
  $oDB->Query('SELECT count(*) AS countid FROM '.TABTAB.' WHERE tabid="'.$newid.'"');
  $row=$oDB->Getrow();
  if ( $row['countid']>0 ) $qtr_error = "Tab id [$id] already used";
  }

  // save changes and register lang

  if ( empty($qtr_error) )
  {
  $oDB->Query('UPDATE '.TABLANG.' SET tabid="'.$newid.'" WHERE tabid="'.$id.'"');
  $oDB->Query('UPDATE '.TABDATA.' SET tabid="'.$newid.'" WHERE tabid="'.$id.'"');
  $oDB->Query('UPDATE '.TABFIELD.' SET tabid="'.$newid.'" WHERE tabid="'.$id.'"');
  $oDB->Query('UPDATE '.TABTAB.' SET tabid="'.$newid.'" WHERE tabid="'.$id.'"');
  $_SESSION['L']['tab'] = cLang::GetName('tab',$_SESSION[QT]['lang_iso'],'*');
  }

  return $qtr_error;
}

// --------

}

?>