<?php

// QT-registerations 1.6 build:20081216

// --------

function AsImg($strSrc='',$strAlt='',$strTitle='',$strClass='',$strStyle='',$strHref='')
{
  if ( ArgTypeError('str',array($strSrc,$strAlt,$strTitle,$strClass,$strStyle,$strHref)) ) die('AsImg: Invalid argument type (expect string)');
  if ( empty($strSrc) ) return ' ';
  $strSrc = '<img src="'.$strSrc.'" alt="'.(!empty($strAlt) ? QTconv($strAlt) :'').'" title="'.(!empty($strTitle) ? QTconv($strTitle) :'').'"'.(!empty($strClass) ? ' class="'.$strClass.'"' : '').(!empty($strStyle) ? ' style="'.$strStyle.'"' : '').'/>';
  if ( empty($strHref) ) { return $strSrc; } else { return '<a href="'.$strHref.'">'.$strSrc.'</a>' ; }
}

// --------

function AsImgBox($strSrc,$strClass='',$strStyle='',$strCaption='',$strHref='')
{
  if ( ArgTypeError('str',array($strSrc,$strClass,$strStyle,$strCaption,$strHref)) ) die('AsImgBox: Invalid argument type (expect string)');
  if ( !empty($strHref) ) $strCaption = '<a href="'.$strHref.'" class="small">'.$strCaption.'</a>';
  return '<div'.(empty($strClass) ? '' : ' class="'.$strClass.'"').(empty($strStyle) ? '' : ' style="'.$strStyle.'"').'>'.$strSrc.(isset($strCaption) ? '<span class="small"><br/>'.$strCaption.'</span>' : '').'</div>';
}

// --------

function HtmlDtd()
{
echo QTR_HTML_DTD,'
<html xmlns="http://www.w3.org/1999/xhtml" dir="',QTR_HTML_DIR,'" xml:lang="',QTR_HTML_LANG,'">
';
}

// --------

function HtmlHead($strRoot='',$strSkin='',$arrCss=array(),$strHeadScript='',$bJava=true,$bBbc=false,$bIE=false)
{

if ( empty($strSkin) ) $strSkin = $_SESSION[QT]['skin_dir'];
if ( !is_array($arrCss) ) $arrCss = array();

echo '
<head>
<title>',$_SESSION[QT]['site_name'],'</title>
<meta http-equiv="content-type" content="text/html; charset=',QTR_HTML_CHAR,'"/>
<link rel="shortcut icon" href="',$strRoot,$strSkin,'/qtr_icon.ico"/>
<link rel="stylesheet" type="text/css" href="',$strRoot,$strSkin,'/qtr_main.css"/>';

foreach ($arrCss as $strCss)
{
echo '
<link rel="stylesheet" type="text/css" href="'.$strRoot,$strSkin.'/'.$strCss.'"/>';
}

if ( !empty($strHeadScript) ) echo $strHeadScript;

if ( $bBbc && $_SESSION[QT]['bbc']!='0' )
{
echo '
<script type="text/javascript">
<!--
';
include($strRoot.'bin/qtr_j_bbc.js');
echo '
-->
</script>';
}
if ( $bJava )
{
echo '
<script type="text/javascript">
<!--
';
include($strRoot.'bin/qtr_j_common.js');
echo '
-->
</script>';
}

if ( $bIE ) echo '
<!--[if IE 5]><style type="text/css">.p_post_code{width:500px} .upper{text-transform:none;}</style><![endif]-->
<!--[if IE 6]><style type="text/css">.p_post_code{width:500px} .upper{text-transform:none;}</style><![endif]-->
';

echo '
</head>
';

}

// --------

function HtmlPageCtrl($intType=0,$strWidth='')
{

if ( empty($strWidth) ) $strWidth=$_SESSION[QT]['site_width'];
switch ($intType)
{
case 0: echo '
<!-- PAGE CONTROL -->
<div class="div_qtr_page">
<table class="ta_qtr_page" width="',$strWidth,'" cellspacing="0"><tr class="tr_qtr_page"><td class="td_qtr_page">
<!-- PAGE CONTROL -->
';
break;
case 1: echo '
<!-- END PAGE CONTROL -->
</td></tr></table>
</div>
<!-- END PAGE CONTROL -->
';
break;
}

}

// --------

function HtmlBanner($intType=0,$strSkin='',$strLogo='',$strLangMenu='')
{

if ( empty($strSkin) ) $strSkin=$_SESSION[QT]['skin_dir'];
if ( empty($strLogo) ) $strLogo='qtr_logo.gif';

switch ($intType)
{
case 0: echo '
<!-- HEADER BANNER -->
<div class="div_banner"><div class="div_banner_in">
<table class="ta_hidden" cellspacing="0"><tr class="tr_hidden">
<td class="td_hidden" id="zone_banner_left"><img id="img_banner_logo" src="',$strSkin,'/',$strLogo,'" alt="',QTconv($_SESSION[QT]['site_name']),'" title="',QTconv($_SESSION[QT]['site_name']),'"/></td>
<td class="td_hidden" id="zone_banner_right">',$strLangMenu,'</td>
</tr></table></div></div>
<!-- END HEADER BANNER -->
';
break;
case 1: echo '
<!-- HEADER NOBANNER -->
<table class="ta_hidden" cellspacing="0"><tr style="vertical-align:top">
<td id="zone_nobanner_left">&nbsp;</td>
<td id="zone_nobanner_right">&nbsp;',$strLangMenu,'</td>
</tr></table>
<!-- END HEADER NOBANNER -->
';
break;
case 2: echo '
<!-- HEADER BANNER -->
<div class="div_banner">
<div class="div_banner_in">
<img src="',$strSkin,'/',$strLogo,'" width="175" height="50" style="border-width:0" alt="QT-registerations" title="QT-registerations"/>
</div>
</div>
<!-- END HEADER BANNER -->
';
break;
}

}

// --------

function HtmlDataRow($L,$strForm='T',$arrField='',$strValue='',$tt='')
{
  // $strForm T=Text, F=Form, D=Disabled form, 0=Empty row with none...

  if ( $strForm=='0' )
  {
  echo '<tr class="tr_field"><td class="td_field disabled" colspan="3">'.$L['None'].'...</td></tr>';
  return;
  }

  // check arguments

  if ( !is_string($strForm) || empty($strForm) ) die('HtmlDataRow: Argument #1 must be a string');
  if ( !is_array($arrField) ) die('HtmlDataRow: Argument #2 must be an array');
  if ( !is_string($strValue) ) die('HtmlDataRow: Argument #3 must be a string'); // can be empty
  if ( !is_string($tt) || empty($tt) ) die('HtmlDataRow: Argument #4 must be a string');

  $strField = $arrField['fieldid'];

  // default value and helptips (only in form mode, and not for popup)

  $strHelpTips = '';
  if ( $arrField['fielddefault']=='1' && empty($strValue) && $strForm!='T' && $arrField['fieldtype']!='P' )
  {
    $strValue = $arrField['default'];
    $strHelpTips = ' <abbr id="helptip_'.$strField.'" class="helptip" title="'.$L['R_default'].'">'.$L['i'].'</abbr>';
  }

  // display the row

  echo '<tr class="tr_field">
  <td class="td_field td_fieldname">',ObjTrans('field',$strField),'</td>
  <td class="td_field ',($strForm!='F' ? 'td_fieldtext' : 'td_fieldform'),'">';
  
  switch(strtoupper($arrField['fieldtype']))
  {

  case 'L':

    if ( $strForm=='T' ) echo $strValue.'&nbsp;';
    if ( $strForm=='F' ) echo '<textarea id="',$strField,'" name="',$strField,'" class="small" style="width:345px" rows="3" cols="28" onchange="bEdited=true;"/>',$strValue,'</textarea>',$strHelpTips;
    if ( $strForm=='D' ) echo '<textarea id="',$strField,'" name="',$strField,'" class="small" style="width:345px" rows="3" cols="28"/>',$strValue,'</textarea>',$strHelpTips;
    break;

  case 'C':

    if ( $strValue!='' && $strValue!='0' && $strValue!='1' )  echo '<span class="small">',$strValue,'</span> <abbr id="helptip_'.$strField.'" class="helptip" title="'.$L['R_format'].'">'.$L['i'].'</abbr><br/>';
    if ( $strForm=='T' ) echo (empty($strValue) ? '' : $L['Y']).'&nbsp;';
    if ( $strForm=='F' ) echo '<input type="checkbox" id="',$strField,'" name="',$strField,'"',(empty($strValue) ? '' : QCHE),' value="1" onchange="bEdited=true;"/><label for="',$strField,'">Yes</label>',$strHelpTips;
    if ( $strForm=='D' ) echo '<input type="checkbox" id="',$strField,'" name="',$strField,'"',(empty($strValue) ? '' : QCHE),'"valur="1"/><label for="',$strField,'">Yes</label>',$strHelpTips;
    break;

  case 'D': // this is d (date) or D (date+time)

    // check existing value
    if ( !empty($strValue) )
    {
      if ( !QTisvaliddate(substr($strValue,0,8),true,true,false) ) { echo '<span class="small">',$strValue,'</span> <abbr id="helptip_'.$strField.'" class="helptip" title="'.$L['R_format'].'">'.$L['i'].'</abbr><br/>'; $strValue=''; }
    }
    // format existing value
    if ( !empty($strValue) )
    {
      if ( $arrField['fieldtype']=='d' && $strForm=='T' ) $strValue = QTdate($strValue,array('n','date',$_SESSION[QT]['formatdate']));
      if ( $arrField['fieldtype']=='D' && $strForm=='T' ) $strValue = QTdate($strValue,array('n','datetime',$_SESSION[QT]['formatdate'],$_SESSION[QT]['formattime']));
      if ( $arrField['fieldtype']=='d' && $strForm!='T' ) $strValue = AsDateInput($strValue);
      if ( $arrField['fieldtype']=='D' && $strForm!='T' ) { $strValueTime = AsDateInput($strValue,'time'); $strValue = AsDateInput($strValue); }
    }
    // display
    if ( $strForm=='T' ) echo $strValue.'&nbsp;';  
    if ( $strForm=='F' )
    {
      // default value
      if ( $arrField['fielddefault']=='1' && empty($strValue) ) $strValue = $arrField['default'];
      // 
      echo '<input type="text" class="small" id="',$strField,'" name="',$strField,'" size="10" maxlength="10" value="',$strValue,'" onchange="bEdited=true;"/>';
      echo '<a href="#" onclick="document.getElementById(\'',$strField,'\').value=\'',date('Y-m-d'),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_date.gif" alt="today" title="',$L['dateSQL']['Today'],'" style="vertical-align:bottom"/></a>',N;
      if ($arrField['fieldtype']=='D')
      {
      echo ' <input type="text" class="small" id="',$strField,'_time" name="',$strField,'_time" size="5" maxlength="8" value="',(isset($strValueTime) ? $strValueTime : ''),'"/><a href="#" onclick="document.getElementById(\'',$strField,'_time\').value=\'',date('H:i'),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_dtime.gif" alt="now" title="',$L['dateSQL']['Now'],'" style="vertical-align:bottom"/></a>';
      }
      echo '&nbsp; <span class="small">(',$L['H_Eventdate'],($arrField['fieldtype']=='D' ? ' '.$L['H_Eventtime'] : ''),')</span>';
      echo '
      <script type="text/javascript">
      <!--
      $(document).ready(function() {
        $("#'.$strField.'").datepicker({ firstDay: 1, dateFormat: "yy-mm-dd", monthNames: ["'.implode('","',$L['dateMMM']).'"], dayNames: ["'.implode('","',$L['dateDDD']).'"], dayNamesMin: ["'.implode('","',$L['dateD']).'"]});
      });
      -->
      </script>
      ';
    }
    if ( $strForm=='D' )
    {
      // default value
      if ( $arrField['fielddefault']=='1' && empty($strValue) ) $strValue = $arrField['default'];
      // 
      echo '<input type="text" class="small" id="',$strField,'" name="',$strField,'" size="10" maxlength="10" value="',($arrField['fielddefault']=='1' && empty($strValue) ? $arrField['default'] : $strValue),'"/>';
      echo '<a href="#" onclick="document.getElementById(\'',$strField,'\').value=\'',date('Y-m-d'),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_date.gif" alt="today" title="',$L['dateSQL']['Today'],'" style="vertical-align:bottom"/></a>',N;
      if ($arrField['fieldtype']=='D')
      {
      echo '&nbsp; <input type="text" class="small" id="',$strField,'_time" name="',$strField,'_time" size="5" maxlength="8" value="',(isset($strValueTime) ? $strValueTime : ''),'"/><a href="#" onclick="document.getElementById(\'',$strField,'_time\').value=\'',date('H:i'),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_dtime.gif" alt="now" title="',$L['dateSQL']['Now'],'" style="vertical-align:bottom"/></a>';
      }
      echo '&nbsp; <span class="small">(',$L['H_Eventdate'],($arrField['fieldtype']=='D' ? ' '.$L['H_Eventtime'] : ''),')</span>';
    }
    break;

  case 'T':

    if ( !empty($strValue) ) 
    {
      if ( !QTisvalidtime(substr($strValue,0,8),false) ) { echo '<span class="small">',$strValue,'</span> <abbr id="helptip_'.$strField.'" class="helptip" title="'.$L['R_format'].'">'.$L['i'].'</abbr><br/>'; $strValue=''; }
    }
    // value format
    if ( !empty($strValue) ) $strValue = QTtime($strValue,$_SESSION[QT]['formattime']);
    // form format
    if ( $strForm=='T' ) echo $strValue.'&nbsp;';
    if ( $strForm=='F' ) 
    {
      // default value
      if ( $arrField['fielddefault']=='1' && empty($strValue) ) $strValue = $arrField['default'];
      // 
      echo '<input type="text" class="small" id="',$strField,'" name="',$strField,'" size="10" value="',$strValue,'" onchange="bEdited=true;"/><a href="#" onclick="bEdited=true; document.getElementById(\'',$strField,'\').value=\'',QTtime('now',$_SESSION[QT]['formattime']),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_dtime.gif" alt="now" title="',$L['dateSQL']['Now'],'" style="vertical-align:bottom"/></a> '.$strHelpTips.'&nbsp; <span class="small">(',$L['H_Eventtime'],')</span>';
    }
    if ( $strForm=='D' )
    {
      // default value
      if ( $arrField['fielddefault']=='1' && empty($strValue) ) $strValue = $arrField['default'];
      // 
      echo '<input type="text" class="small" id="',$strField,'" name="',$strField,'" size="10" value="',$strValue,'"/><a href="#" onclick="document.getElementById(\'',$strField,'\').value=\'',QTtime('now',$_SESSION[QT]['formattime']),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_dtime.gif" alt="now" title="',$L['dateSQL']['Now'],'" style="vertical-align:bottom"/></a> '.$strHelpTips.'&nbsp; <span class="small">(',$L['H_Eventtime'],')</span>';
    }
    break;

  case 'P':

    if ( $strForm=='T' ) echo $strValue.'&nbsp;';
    if ( $strForm!='T' )
    {
      // popup values (start with the current value and empty value)
      $arrPops = array();
      $arrPops[$strValue]=$strValue; // check if QTconv is required ???
      $arrPops[' ']=' ';
      if ( !empty($arrField['default']) ) { $arr = explode(';',$arrField['default']); } else { $arr = array(); }
      foreach ($arr as $str) { if ($str!=$strValue ) $arrPops[$str]=$str; }
      $arrPops['[...]']='['.$L['Other'].'...]';
      // display
      echo '<select id="',$strField,'" name="',$strField,'" class="small" style="width:335px"',($strForm=='D' ? QDIS : ''),' onchange="bEdited=true; if (this.value==\'[...]\') { document.getElementById(\'+',$strField,'\').style.visibility=\'visible\'; document.getElementById(\'+',$strField,'\').style.width=\'245px\'; document.getElementById(\'',$strField,'\').style.width=\'100px\'; } else { document.getElementById(\'+',$strField,'\').style.visibility=\'hidden\'; document.getElementById(\'+',$strField,'\').style.width=\'5px\'; document.getElementById(\'',$strField,'\').style.width=\'335px\'; }">',QTastags($arrPops),'</select>';
      echo '<input type="text" id="+',$strField,'" name="+',$strField,'" class="small" style="width:5px;visibility:hidden" type="text" maxlength="255" value=""/>';
    }
    break;

  case 'N':

    if ( $strForm=='T' ) echo $strValue.'&nbsp;';
    if ( $strForm=='F' ) echo '<input id="',$strField,'" name="',$strField,'" class="small" type="text" size="6" maxlength="14" value="',(empty($strValue) ? '0' : $strValue),'" onchange="bEdited=true;"/>',$strHelpTips;
    if ( $strForm=='D' ) echo '<input id="',$strField,'" name="',$strField,'" class="small" type="text" size="6" maxlength="14" value="',(empty($strValue) ? '0' : $strValue),'"/>',$strHelpTips;
    break;

  default:

    if ( $strForm=='T' ) echo $strValue.'&nbsp;';
    if ( $strForm=='F' ) echo '<input id="',$strField,'" name="',$strField,'" class="small" style="width:345px" type="text" maxlength="100" value="',$strValue,'" onchange="bEdited=true;"/>',$strHelpTips;
    if ( $strForm=='D' ) echo '<input id="',$strField,'" name="',$strField,'" class="small" style="width:345px" type="text" maxlength="100" value="',$strValue,'"/>',$strHelpTips;
  }

  echo '</td>
  <td class="td_field td_fieldhelp">',ObjTrans('fielddesc',$strField,false),'&nbsp;</td>
  </tr>
  ';

}

// --------

function HtmlMsg($intType=0,$strWidth='',$strTitleId='',$strTitle='',$strBodyId='',$strBody='')
{

if ( empty($strWidth) ) $strWidth='350px';

switch ($intType)
{
case 0: echo '
<div class="div_msgbox" style="width:',$strWidth,'">
<div class="div_msgboxtitle"',(empty($strTitleId) ? '' : ' id="'.$strTitleId.'"'),'>',$strTitle,'</div>
<div class="div_msgboxbody"',(empty($strBodyId) ? '' : ' id="'.$strBodyId.'"'),'>',(empty($strBody) ? '' : $strBody),'
';
break;
case 1: echo '
</div>
</div>
';
break;
}

}

// --------

function HtmlTabs($arrTabs=array(0=>'Empty'),$strUrl='', $strCurrent='',$intMax=6,$bFirst=true,$bLast=true,$strWarning='Data not yet saved. Quit without saving?')
{

// tabx means the last tab (can be special due to popup)
// if defined, the class/style tab_on replaces the class/style tab (but you can cumulate the classes in the definition)
// if defined, the class/style tabx_on replaces the class/style tabx (but you can cumulate the styles in the definition)

// When strCurrent is defined, this tab will not be clickable

$iCurrent=1;
foreach (array_keys($arrTabs) as $strKey)
{
  if ($strKey==$strCurrent) break;
  $iCurrent++;
}

// check

if ( !is_array($arrTabs) ) die('HtmlTabs: Argument #1 must be an array');
if ( !empty($strUrl) ) { if ( !strstr($strUrl,'?') ) $strUrl .= '?'; }

// display

echo'
<!-- tab header begin -->
<table cellspacing="0" class="ta_tab">
';

$strOuts=''; $strOut=''; $intRow=0; $intCol=0;
foreach ($arrTabs as $strKey=>$strTab)
{
  if ( $intCol==0 )
  {
    $strOut = '<tr class="tr_tab">'."\n";
    if ( $bFirst ) $strOut .= '<td class="td_tab '.($intRow==0 ? 'td_tab_begin' : 'td_tab_hidden').'">&nbsp;</td>'."\n";
    $intCol++;
  }
  if ( $intCol>0 )
  {
    $strTabDesc = '';
    // strTab can be an array (as generated by cSection->GetTabs) instead of just the name
    if ( is_array($strTab) )
    {
      if ( isset($strTab['tabdesc']) )
      {
        if ( !empty($strTab['tabdesc']) ) $strTabDesc = $strTab['tabdesc'];
      }
      if ( isset($strTab['tabname']) )
      {
        if ( !empty($strTab['tabname']) ) { $strTab=$strTab['tabname']; } else { $strTab=ObjTrans('tab',$strKey); }
      }
      else
      {
        $strTab=ObjTrans('tab',$strKey);
      }
    }
    $strOut .= '<td class="td_tab td_tab_'.($strCurrent==$strKey ? 'on' : 'off').'_l">&nbsp;</td>';
    $strOut .= '<td class="td_tab td_tab_'.($strCurrent==$strKey ? 'on' : 'off').'_c">';
    if ( empty($strUrl) || $strCurrent==$strKey )
    {
    $strOut .=  $strTab;
    }
    else
    {
    $strOut .=  '<a class="a_tab" href="'.$strUrl.'&amp;tt='.$strKey.'"'.(empty($strTabDesc) ? '' : ' title="'.$strTabDesc.'"').' onclick="return qtWarningedited(bEdited,\''.$strWarning.'\');">'.$strTab.'</a>';
    }
    $strOut .= '</td>';
    $strOut .= '<td class="td_tab td_tab_'.($strCurrent==$strKey ? 'on' : 'off').'_r">&nbsp;</td>'."\n";
    $intCol++; 
  }
  if ( $intCol>$intMax || $intCol>count($arrTabs) )
  {
    if ( $bLast ) $strOut .= '<td class="'.($intRow==0 ? 'td_tab td_tab_end' : 'td_hidden').'">&nbsp;</td>'."\n";
    $strOut .= '</tr>'."\n";
    $intCol=0;
    $strOuts = $strOut.$strOuts;
    $intRow++;
  }
}
if ( $intCol>0 )
{
  while($intCol<=$intMax) { $strOut .= '<td class="td_tab td_tab_a">&nbsp;</td>'; $intCol++; }
  if ( $bLast ) $strOut .= '<td class="td_tab'.($intRow==0 ? ' td_tab_end' : ' td_tab_hidden').'">&nbsp;</td>'."\n";
  $strOut .= '</tr>';
  $strOuts = $strOut.$strOuts;
}
echo $strOuts;

echo '
</table>
<!-- tab header end -->
';
}

// --------

?>