<?php

// QT-registerations 1.6 build:20081224

session_start();

if ( isset($_SESSION['qtr_setup_lang']) ) { $strLang = $_SESSION['qtr_setup_lang']; } else { $strLang = 'en'; }
include('qtr_lang_'.$strLang.'.php');
include('../bin/config.php'); if ( $qtr_dbsystem=='sqlite' ) $qtr_database = '../'.$qtr_database;
include('../bin/qt_lib_db.php');

$qtr_error = '';
$strMessage = '';
$strAppl = 'QT-registerations 1.6';
$strPrevUrl = 'qtr_setup_2.php';
$strNextUrl = '../qtr_usr_login.php?dfltname=Admin';
$strPrevLabel= $L['Back'];
$strNextLabel= $L['Finish'];

// --------
// HTML START
// --------

// CHECK DB VERSION (in case of update)

$oDB = new cDB($qtr_dbsystem,$qtr_host,$qtr_database,$qtr_user,$qtr_pwd,$qtr_port,$qtr_dsn);
if ( !empty($oDB->error) ) die ('<p style="color:red">Connection with database failed.<br/>Check that server is up and running.<br/>Check that the settings in the file <b>bin/config.php</b> are correct for your database.</p>');

$oDB->Query('SELECT setting FROM '.$qtr_prefix.'qtrsetting WHERE param="version"');
$row=$oDB->Getrow();

// UPDAGRADE 1.1 TO 1.3

if ( $row['setting']=='1.1' )
{
  switch(substr($oDB->type,0,5))
  {
  case 'mysql':
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD eventdate char(1) NOT NULL default "1"');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrtopic ADD eventdate varchar(20) NOT NULL default "0"');
    break;
  case 'mssql':
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD eventdate char(1) NOT NULL default "1"');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrtopic ADD eventdate varchar(20) NOT NULL default "0"');
    break;
  case 'pg':
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD eventdate char(1) NOT NULL default "1"');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrtopic ADD eventdate varchar(20) NOT NULL default "0"');
    break;
  case 'acces':
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD eventdate char(1)');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrtopic ADD eventdate varchar(20)');
    break;
  case 'sqlit':
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD eventdate text NOT NULL default "1"');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrtopic ADD eventdate text NOT NULL default "0"');
    break;
  case 'ibase':
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD eventdate char(1) default "1"');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrtopic ADD eventdate varchar(20) default "0"');
    break;
  case 'db2':
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD eventdate char(1) NOT NULL default "1"');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrtopic ADD eventdate varchar(20) NOT NULL default "0"');
    break;
  case 'ifx':
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD eventdate char(1) default "1" NOT NULL');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrtopic ADD eventdate varchar(20) default "0" NOT NULL');
    break;
  case 'oci':
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD eventdate char(1) default "1" NOT NULL');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrtopic ADD eventdate varchar2(20) default "0" NOT NULL');
    break;
  }

  $oDB->Query('UPDATE '.$qtr_prefix.'qtrsetting SET setting="1.3" WHERE param="version"');
  $row['setting']='1.3';
  $strMessage .= '<p>Database upgraded to 1.3</p>';
}

// UPDAGRADE 1.2 TO 1.3

if ( $row['setting']=='1.2' )
{
  $oDB->Query('UPDATE '.$qtr_prefix.'qtrsection SET eventdate="3" WHERE eventtime="1"');
  $oDB->Query('UPDATE '.$qtr_prefix.'qtrsection SET eventdate="4" WHERE eventtime="2"');
  if ( substr($oDB->type,0,5)=='mysql') $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection DROP eventtime');
  if ( $oDB->type=='mssql') $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection DROP COLUMN eventtime');
  if ( $oDB->type=='pg') $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection DROP COLUMN eventtime');

  $oDB->Query('UPDATE '.$qtr_prefix.'qtrsetting SET setting="1.3" WHERE param="version"');
  $row['setting']='1.3';
  $strMessage .= '<p>Database upgraded to 1.3</p>';
}

// UPDAGRADE 1.3 TO 1.5

if ( $row['setting']=='1.3' || $row['setting']=='1.4' )
{

  $oDB->Query('UPDATE '.$qtr_prefix.'qtrsetting SET setting="1.5" WHERE param="version"');
  $row['setting']='1.5';
  $strMessage .= '<p>Database upgraded to 1.5</p>';
}

// UPDAGRADE 1.5 TO 1.6

if ( $row['setting']=='1.5' )
{
  switch($oDB->type)
  {
  case 'mysql4':
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD sortfield varchar(24)');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD logo varchar(24)');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD stats varchar(255)');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrtopic ADD tags varchar(255)');
    break;
  case 'access':
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD sortfield varchar(24)');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD logo varchar(24)');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD stats varchar(255)');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrtopic ADD tags varchar(255)');
    break;
  case 'sqlite':
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD sortfield text');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD logo text');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD stats text');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrtopic ADD tags text');
    break;
  case 'oci':
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD sortfield varchar2(24)');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD logo varchar2(24)');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD stats varchar2(255)');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrtopic ADD tags varchar2(255)');
    break;
  default:
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD sortfield varchar(24)');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD logo varchar(24)');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrsection ADD stats varchar(255)');
    $oDB->Query('ALTER TABLE '.$qtr_prefix.'qtrtopic ADD tags varchar(4000)');
    break;
  }
  $oDB->Query('UPDATE '.$qtr_prefix.'qtrsetting SET setting="1.6" WHERE param="version"');

  // update section stats
  
  $oDB->Query('SELECT id,topics,replies,tabs FROM '.$qtr_prefix.'qtrsection');
  $arrList = array();
  while($row = $oDB->Getrow()) { $arrList[]=$row; }
  foreach($arrList as $arr) { $oDB->Query( 'UPDATE '.$qtr_prefix.'qtrsection SET stats="topics='.(empty($arr['topics']) ? '0' : $arr['topics']).';replies='.(empty($arr['replies']) ? '0' : $arr['replies']).';tabs='.(empty($arr['tabs']) ? '0' : $arr['tabs']).';tags=0" WHERE id='.$arr['id'] ); }
  
  $row['setting']='1.6';
  $strMessage .= '<p>Database upgraded to 1.6</p>';

}

// END UPGRADE

include('qtr_setup_hd.php');

if (!empty($strMessage) ) echo $strMessage;

if ( isset($_SESSION['qtrInstalled']) )
{
echo '<p>Database 1.6 in place.</p>';
echo '<p>',$L['S_install_exit'],'</p>';
echo '<div style="width:350px; padding:10px; border-style:solid; border-color:#FF0000; border-width:1px; background-color:#EEEEEE">',$L['End_message'],'<br/>',$L['User'],': <b>Admin</b><br/>',$L['Password'],': <b>Admin</b><br/></div><br/>';
}
else
{
echo $L['N_install'];
}

// document folders

if ( !is_dir('upload') )
{
  $qtr_error .= '<font color=red>Directory <b>upload</b> not found.</font><br/>Please create this directory and make it writeable (chmod 777) if you want to allow uploads<br/>';
}
else
{
  if ( !is_readable('upload') ) $qtr_error .= '<font color=red>Directory <b>upload</b> is not readable.</font><br/>Change permissions (chmod 777) if you want to allow uploads<br/>';
  if ( !is_writable('upload') ) $qtr_error .= '<font color=red>Directory <b>upload</b> is not writable.</font><br/>Change permissions (chmod 777) if you want to allow uploads<br/>';
}

if ( empty($qtr_error) )
{
  $iY = intval(date('Y'));
  for ($i=$iY;$i<=$iY+5;$i++)
  {
    if ( !is_dir('upload/'.$i) )
    {
      if ( mkdir('upload/'.$i) )
      {
        for ($j=1;$j<=12;$j++)
        {
        mkdir('upload/'.$i.'/'.($i*100+$j));
        }
      }
    }
  }
}

echo '<p><a href="../check_install.php">',$L['Check_install'],'</a></p>';

// --------
// HTML END
// --------

include('qtr_setup_ft.php');


?>
