<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.6 build:20081216
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtr_init.php');
include(Translate('qtr_lang_adm.inc'));

if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$s = -1;
$tt = 0; // 0:definition, 1:display or 9:translation
if ( isset($_GET['s']) ) $s = intval($_GET['s']);
if ( isset($_POST['s']) ) $s = intval($_POST['s']);
if ( $s<0 ) die('Missing parameters');
if ( isset($_GET['tt']) ) $tt = intval($_GET['tt']);
if ( isset($_POST['tt']) ) $tt = intval($_POST['tt']);
if ( $tt!=0 && $tt!=1 && $tt!=9 ) die('Missing parameters');

$oVIP->selfurl = 'qtr_adm_section.php';
$oVIP->selfname = '<span class="upper">'.$L['Adm_content'].'</span><br/>'.$L['Section_upd'];
$oVIP->exiturl = 'qtr_adm_sections.php';
$oVIP->exitname = '&laquo; '.$L['Sections'];

$arrDomains = GetDomains();
$arrStaff = GetUsers('M');
if ( count($arrStaff)>10 ) { $bAjax=true; } else { $bAjax=false; }

CheckDico('tab',true);

$oSEC = new cSection($s);
$arrTabs = cTab::GetTabs($s,true);

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) && $tt==0 )
{
  // CHECK MANDATORY VALUE

  $str = trim($_POST['title']); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  $str = QTconv($str,'3',QTR_CONVERT_AMP,false);
  if ( empty($str) ) $qtr_error = $L['Title'].' '.$L['E_invalid'];

  if ( empty($qtr_error) )
  {
    $oSEC->domid = intval($_POST['domain']);
    $oSEC->idtitle = $str;
    $oSEC->name = $str;
    $oSEC->type = intval($_POST['type']);
    $oSEC->status = intval($_POST['status']);
    $oSEC->notify= intval($_POST['notify']);
    if ( isset($_POST['modname']) )
    {
      if ( $_POST['modname']!=$_POST['modnameold'] )
      {
      $oSEC->modname = $_POST['modname'];
      $oSEC->modid = array_search($_POST['modname'],$arrStaff);
      if ( $oSEC->modid==FALSE || empty($oSEC->modid) ) { $oSEC->modid=1; $oSEC->modname=$arrStaff[1]; $qtr_warning=$L['Userrole_MF'].' '.$L['E_invalid']; }
      }
    }
    if ( isset($_POST['modid']) )
    {
      if ( $_POST['modid']!=$_POST['modidold'] )
      {
        $oSEC->modname = $arrStaff[$_POST['modid']];
        $oSEC->modid = $_POST['modid'];
      }
    }
    $oSEC->titlefield = intval($_POST['titlefield']);
    $oSEC->numfield = trim($_POST['numfield']); if ( strlen($oSEC->numfield)==0 ) $oSEC->numfield='N';
    $oSEC->prefix = $_POST['prefix'];
    $oSEC->eventdate = intval($_POST['eventdate']);
    $oSEC->wisheddate = intval($_POST['wisheddate']);
    $oSEC->notifycc = intval($_POST['alternate']);
  }

  // SAVE

  if ( empty($qtr_error) )
  {
    // update
    
    $strQ = 'UPDATE '.TABSECTION.' SET';
    $strQ .= ' domainid='.$oSEC->domid;
    $strQ .= ',title="'.$oSEC->idtitle.'"';
    $strQ .= ',type="'.$oSEC->type.'"';
    $strQ .= ',status="'.$oSEC->status.'"';
    $strQ .= ',notify="'.$oSEC->notify.'"';
    $strQ .= ',moderator='.$oSEC->modid;
    $strQ .= ',moderatorname="'.$oSEC->modname.'"';
    $strQ .= ',titlefield="'.$oSEC->titlefield.'"';
    $strQ .= ',numfield="'.$oSEC->numfield.'"';
    $strQ .= ',alternate="'.$oSEC->notifycc.'"';
    $strQ .= ',eventdate="'.$oSEC->eventdate.'"';
    $strQ .= ',wisheddate="'.$oSEC->wisheddate.'"';
    $strQ .= ',prefix="'.$oSEC->prefix.'"';
    $strQ .= ' WHERE id='.$oSEC->id;
    $oDB->Query($strQ);

    $strInfo = $L['S_save'];
  }

}

if ( isset($_POST['ok']) && $tt==1 )
{
    $oSEC->sortfield = $_POST['sortfield'];
    $oSEC->infofield = $_POST['infofield'];
    $oSEC->logo = $_POST['logo'];

    $strQ = 'UPDATE '.TABSECTION.' SET';
    $strQ .= ',sortfield="'.$oSEC->sortfield.'"';
    $strQ .= ',infofield="'.$oSEC->infofield.'"';
    $strQ .= ',logo="'.$oSEC->logo.'"';
    $strQ .= ' WHERE id='.$oSEC->id;
    $oDB->Query($strQ);

    $strInfo = $L['S_save'];
}

if ( isset($_POST['ok']) && $tt==9 )
{
    // translations

    cLang::Delete(array('sec','secdesc'),'s'.$oSEC->id);
    foreach ($_POST as $strKey => $strTranslation)
    {
      if ( substr($strKey,0,1)=='T' )
      {
        if ( !empty($strTranslation) )
        {
        if ( get_magic_quotes_gpc() ) $strTranslation = stripslashes($strTranslation);
        cLang::Add('sec',substr($strKey,1),'s'.$oSEC->id,$strTranslation);
        }
      }
      if ( substr($strKey,0,1)=='D' )
      {
        if ( !empty($strTranslation) )
        {
        if ( get_magic_quotes_gpc() ) $strTranslation = stripslashes($strTranslation);
        cLang::Add('secdesc',substr($strKey,1),'s'.$oSEC->id,$strTranslation);
        }
      }
    }

    // unregister

    if ( isset($_SESSION['L']) ) $_SESSION['L'] = array();
    if ( isset($_SESSION[QT]['sys_sections']) ) Unset($_SESSION[QT]['sys_sections']);

    // exit
    
    $strInfo = $L['S_save'];
}

// --------
// HTML START
// --------

if ( $bAjax )
{
$arrCss = array('qt_jquery.css'); 
$strHeadScript = '
<script type="text/javascript" src="bin/qt_jquery.js"></script>
<script type="text/javascript" src="bin/qt_jquery_auto.js"></script>
<script type="text/javascript">
<!--
$(document).ready(function() {
  $("#modname").autocomplete("qtr_j_name.php", {
    selectFirst: false,
    extraParams: { r:"M" }
  });
});
-->
</script>';
}

include('qtr_adm_p_header.php');
include('qtr_adm_p_title.php');

$arrDest = $arrDomains;
Unset($arrDest[$oSEC->domid]);

// DISPLAY TABS

$arrTabs = array(0=>$L['Adm_settings'],1=>$L['Display_options'],9=>$L['Translations']);
echo HtmlTabs($arrTabs, $oVIP->selfurl.'?s='.$s, $tt, 6, true, true, $L['E_editing']);

// DISPLAY TAB PANEL

echo '<table class="ta_pan" cellspacing="0">
<tr class="tr_pan">
<td class="td_pan">
<div class="div_pan_top">',$oSEC->idtitle,' &middot; ',$arrTabs[$tt],'</div>
';

// FORM 0

if ( $tt==0 )
{

echo '
<script type="text/javascript">
<!--
function ValidateForm(theForm)
{
  if (theForm.title.value.length==0) { alert(qtHtmldecode("',$L['E_mandatory'],': ',$L['Title'],'")); return false; }
  return null;
}
-->
</script>
';

echo '<form method="post" action="',$oVIP->selfurl,'" onsubmit="return ValidateForm(this);">
<table class="ta" cellspacing="0">
<tr class="tr tr_o">
<th class="th_o th_o_all" style="text-align:left" colspan="2"><b>',$L['Definition'],'</b></th>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" style="width:150px; text-align:right"><span class="texthead"><label for="title">',$L['Title'],'</label></span></th>
<td class="td_o"><input type="text" id="title" name="title" size="55" maxlength="64" value="',$oSEC->name,'" style="background-color:#FFFF99;" onchange="bEdited=true;"/></td>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" style="width:150px; text-align:right"><span class="texthead">',$L['Domain'],'</span></th>
<td class="td_o"><select name="domain" onchange="bEdited=true;">
<option value="',$oSEC->domid,'"',QSEL,'>',$arrDomains[$oSEC->domid],'</option>',QTastags($arrDest,$L['Move_to'].': %s'),'</select></td>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o th_o_all" style="text-align:left" colspan="2"><b>',$L['Properties'],'</b></th>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="type">',$L['Type'],'</label></span></th>
<td class="td_o">
<select id="type" name="type" onchange="bEdited=true;">
<option value="1"',($oSEC->type==1 ? QSEL : ''),'>',$L['Section_type'][1],'</option>
<option value="0"',($oSEC->type==0 ? QSEL : ''),'>',$L['Section_type'][0],'</option>
<option value="2"',($oSEC->type==2 ? QSEL : ''),'>',$L['Section_type'][2],'</option>
</select>
 ',$L['Status'],' <select id="status" name="status" onchange="bEdited=true;">
<option value="0"',($oSEC->status==0 ? QSEL : ''),'>',$L['Section_status'][0],'</option>
<option value="1"',($oSEC->status==1 ? QSEL : ''),'>',$L['Section_status'][1],'</option>
</select>
 ',$L['Notification'],' <select id="notify" name="notify" onchange="bEdited=true;">
<option value="1"',($oSEC->notify==1 ? QSEL : ''),'>',$L['Y'],'</option>
<option value="0"',($oSEC->notify==0 ? QSEL : ''),'>',$L['N'],'</option>
</select>
</td>
</tr>
';
if ( $bAjax )
{
echo '<tr class="tr tr_o">
<th class="th_o" style="width:150px; text-align:right"><span class="texthead">',$L['Userrole_MF'],'</span></th>
<td class="td_o">
<input type="hidden" name="modnameold" value="',$oSEC->modname,'" onchange="bEdited=true;"/>
<input name="modname" id="modname" size="20" maxlength="24" value="',$oSEC->modname,'" onchange="bEdited=true;"/>
</td>
</tr>
';
}
else
{
echo '<tr class="tr tr_o">
<th class="th_o" style="width:150px; text-align:right"><span class="texthead">',$L['Userrole_MF'],'</span></th>
<td class="td_o">
<input type="hidden" name="modidold" value="',$oSEC->modid,'" onchange="bEdited=true;"/>
<select name="modid" id="modid" onchange="bEdited=true;">',QTastags($arrStaff,null,$oSEC->modid,null,$oSEC->modid,'bold'),'</select>
</td>
</tr>
';
}
echo '<tr class="tr tr_o">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead">Tabs</span></th>
<td class="td_o small">',implode(', ',$arrTabs),' &middot; <a href="qtr_adm_tabs.php?s=',$s,'" onclick="return qtWarningedited(bEdited,\'',$L['E_editing'],'\');">',$L['Edit'],'</a></td>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o th_o_all" style="text-align:left" colspan="2"><b>',$L['Specific_fields'],'</b></th>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="numfield">',$L['Show_topic_id'],'</label></span></th>
<td class="td_o"><input type="text" size="12" maxlength="24" name="numfield" value="',($oSEC->numfield=='N' ? '' : $oSEC->numfield),'" onchange="bEdited=true;"/>&nbsp;<span class="small">',$L['H_Show_topic_id'],'</span></td>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="titlefield">',$L['Show_topic_title'],'</label></span></th>
<td class="td_o"><select id="titlefield" name="titlefield" onchange="bEdited=true;">',QTastags($L['Topic_title'],null,$oSEC->titlefield),'</select>&nbsp;<span class="small">',$L['H_Show_topic_title'],'</span></td>
</tr>
';
echo '<tr class="tr tr_o" title="',$L['H_Topic_prefix'],'">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="prefix">',$L['Topic_prefix'],'</label></span></th>
<td class="td_o">
<select id="prefix" name="prefix" onchange="bEdited=true;">
',QTastags($L['Prefix_serie'],null,$oSEC->prefix),'
<option value="0"',($oSEC->prefix=='0' ? QSEL : ''),'>','(',$L['None'],')','</option>
</select>&nbsp;<a class="small" href="qtr_adm_prefix.php" target="_blank">',$L['Topic_prefix_demo'],'</a>
</td>
</tr>
';
echo '<tr class="tr tr_o" title="',$L['H_Show_topic_eventdate'],'">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="eventdate">',$L['Show_topic_eventdate'],'</label></span></th>
<td class="td_o">
<select id="eventdate" name="eventdate" onchange="bEdited=true;">
<option value="0"',($oSEC->eventdate=='0' ? QSEL : ''),'>',$L['Topic_eventdate'][0],'</option>
<optgroup label="',$L['Date'],'">
<option value="1"',($oSEC->eventdate=='1' ? QSEL : ''),'>',$L['Topic_eventdate'][1],'</option>
<option value="2"',($oSEC->eventdate=='2' ? QSEL : ''),'>',$L['Topic_eventdate'][2],'</option>
</optgroup>
<optgroup label="',$L['Date'],' + ',$L['Time'],'">
<option value="3"',($oSEC->eventdate=='3' ? QSEL : ''),'>',$L['Topic_eventdate'][3],'</option>
<option value="4"',($oSEC->eventdate=='4' ? QSEL : ''),'>',$L['Topic_eventdate'][4],'</option>
</optgroup>
</td>
</tr>
';
echo '<tr class="tr tr_o" title="',$L['H_Show_topic_wisheddate'],'">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="wisheddate">',$L['Show_topic_wisheddate'],'</label></span></th>
<td class="td_o">
<select id="wisheddate" name="wisheddate" onchange="bEdited=true;">',QTastags($L['Topic_wisheddate'],null,$oSEC->wisheddate),'</select>
</td>
</tr>
';
echo '<tr class="tr tr_o" title="',$L['H_Show_topic_notify'],'">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="prefix">',$L['Show_topic_notify'],'</label></span></th>
<td class="td_o">
<select id="alternate" name="alternate" onchange="bEdited=true;">',QTastags($L['Topic_notify'],null,$oSEC->notifycc),'</select>
</td>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" colspan="2" style="padding:6px; text-align:center">
<input type="hidden" name="s" value="',$oSEC->id,'"/>
<input type="hidden" name="tt" value="',$tt,'"/>
<input type="submit" name="ok" value="',$L['Save'],'"/></th>
</tr>
';
echo '</table>
</form>
';

}

// FORM 1

if ( $tt==1 )
{

echo '<form method="post" action="',$oVIP->selfurl,'">
<table class="ta" cellspacing="0">
';
echo '<tr class="tr tr_o">
<th class="th_o th_o_all" style="text-align:left" colspan="2"><b>',$L['Display_preferences'],'</b></th>
</tr>
';
$str='';
if ( file_exists('avatar/s_'.$s.'.gif') ) $str = '<option value="s_'.$s.'.gif"'.(!empty($oSEC->logo) ? QSEL : '').'>'.$L['Specific_image'].'</option>';
if ( file_exists('avatar/s_'.$s.'.jpg') ) $str = '<option value="s_'.$s.'.jpg"'.(!empty($oSEC->logo) ? QSEL : '').'>'.$L['Specific_image'].'</option>';
if ( file_exists('avatar/s_'.$s.'.png') ) $str = '<option value="s_'.$s.'.png"'.(!empty($oSEC->logo) ? QSEL : '').'>'.$L['Specific_image'].'</option>';
if ( file_exists('avatar/s_'.$s.'.jpeg') ) $str = '<option value="s_'.$s.'.jpeg"'.(!empty($oSEC->logo) ? QSEL : '').'>'.$L['Specific_image'].'</option>';
echo '<tr class="tr tr_o">
<th class="th_o" style="width:150px; text-align:right"><span class="texthead">Logo</span></th>
<td class="td_o"><select name="logo" onchange="bEdited=true;">
<option value=""',(empty($oSEC->logo) ? QSEL : ''),'>',$L['Default'],'</option>
',(empty($str) ? '' : $str).'
</select> ',AsImg($oSEC->GetLogo(),'S',$L['Ico_section_'.$oSEC->type.'_'.$oSEC->status],'ico ico_s','vertical-align:middle'),' <a class="small" href="qtr_adm_section_img.php?id=',$s,'">',$L['Add'],'/',$L['Remove'],'</a>
</td>
</tr>
';
$arr = array('lastpostdate'=>'Date of the last post','numid'=>'Reference number','title'=>'Title');
echo '<tr class="tr tr_o">
<th class="th_o" style="width:150px; text-align:right"><span class="texthead">Tickets order</span></th>
<td class="td_o">
<select name="sortfield" id="sortfield" onchange="bEdited=true;"/>',QTastags($arr,null,$oSEC->sortfield,null,$oSEC->sortfield,'bold'),'</select>
</td>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="infofield">',$L['Infofield'],'</label></span></th>
<td class="td_o">
<select id="infofield" name="infofield" onchange="bEdited=true;">',QTastags($L['Last_column_label'],null,$oSEC->infofield),'<option value="N"',($oSEC->infofield=='N' ? QSEL : ''),'>(',$L['None'],')</option>
</select></td>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" colspan="2" style="padding:6px; text-align:center">
<input type="hidden" name="s" value="',$oSEC->id,'"/>
<input type="hidden" name="tt" value="',$tt,'"/>
<input type="submit" name="ok" value="',$L['Save'],'"/></th>
</tr>
';
echo '</table>
</form>
';

}

// FORM 9

if ( $tt==9 )
{

echo '<form method="post" action="',$oVIP->selfurl,'">
<table class="ta" cellspacing="0">
';
echo '<th class="th_o th_o_all" colspan="3">',$L['Translations'],'</th>
<tr class="tr tr_o">
<th class="th_o th_o_first">',$L['Section_name_and_desc'],'</th>
<td class="td_o" colspan="2">
<p class="help">',sprintf($L['E_no_translation'],$oSEC->idtitle),'</p>
<table cellspacing="0" class="ta_hidden">';
$arrTrans = cLang::GetTrans('sec','s'.$oSEC->id);
$arrDescTrans = cLang::GetTrans('secdesc','s'.$oSEC->id);
include('bin/qtr_lang.php'); // this creates $arrLang
foreach ($arrLang as $strIso => $arr)
{
  $str = '';
  if ( isset($arrTrans[$strIso]) ) {
  if ( !empty($arrTrans[$strIso]) ) {
    $str = QTconv($arrTrans[$strIso],'I');
  }}
  echo '
  <tr class="tr_hidden">
  <td class="td_hidden" style="width:30px"><span title="',$arr[1],'">',$arr[0],'</span></td>
  <td class="td_hidden"><input class="small" title="',$L['Section'],' (',$strIso,')" type="text" id="T',$strIso,'" name="T',$strIso,'" size="30" maxlength="64" value="',$str,'" onchange="bEdited=true;"/>&nbsp;</td>';
  $str = '';
  if ( isset($arrDescTrans[$strIso]) ) {
  if ( !empty($arrDescTrans[$strIso]) ) {
    $str = QTconv($arrDescTrans[$strIso],'I');
  }}
  echo '<td class="td_hidden"><textarea class="small" title="',$L['Description'],' (',$strIso,')" type="text" id="D',$strIso,'" name="D',$strIso,'" cols="45" rows="2" onchange="bEdited=true;">',$str,'</textarea></td>
  </tr>
  ';
}
echo '</table>
</td>
</tr>
';
echo '<tr class="tr tr_o">
<th class="th_o" colspan="3" style="padding:6px; text-align:center">
<input type="hidden" name="s" value="',$oSEC->id,'"/>
<input type="hidden" name="tt" value="',$tt,'"/>
<input type="submit" name="ok" value="',$L['Save'],'"/></th>
</tr>
';
echo '</table>
</form>
';

}

// END TABS

echo '
</td>
</tr>
</table>
';

echo '<p><a href="',$oVIP->exiturl,'" onclick="return qtWarningedited(bEdited,\'',$L['E_editing'],'\');">',$oVIP->exitname,'</a></p>';

// HTML END

include('qtr_adm_p_footer.php');

?>