<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.6 build:20081216
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtr_init.php');
include(Translate('qtr_lang_adm.inc'));

if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$id = -1;
if (isset($_GET['id'])) $id = $_GET['id'];
if ( isset($_POST['id']) ) $id = intval($_POST['id']);
if ( $id<0 ) die('Missing parameters');

$intWidth = 50;
$intSize = 10;

$oVIP->selfurl = 'qtr_adm_section_img.php';
$oVIP->selfname = '<span class="upper">'.$L['Adm_content'].'</span><br/>'.$L['Section_upd'];
$oVIP->exiturl = 'qtr_adm_section.php?tt=1&s='.$id;

// --------
// SUBMITTED FOR DELETE
// --------

if ( isset($_POST['del']) )
{
  $oDB->Query('UPDATE '.TABSECTION.' SET logo="" WHERE id='.$id);
  if (file_exists("avatar/s_$id.gif")) unlink("avatar/s_$id.gif");
  if (file_exists("avatar/s_$id.jpg")) unlink("avatar/s_$id.jpg");
  if (file_exists("avatar/s_$id.jpeg")) unlink("avatar/s_$id.jpeg");
  if (file_exists("avatar/s_$id.png")) unlink("avatar/s_$id.png");
  $oVIP->EndMessage(NULL,$L['S_delete'],$_SESSION[QT]['skin_dir'],2);
}

// --------
// SUBMITTED FOR UPLOAD
// --------

if ( isset($_POST['ok']) )
{
  $bUpload = false;
  // ---------
  // load picture
  // ---------
  if ( !is_uploaded_file($_FILES['title']['tmp_name']) ) $qtr_error = 'You did not upload a file!';

  // ---------
  // is size (kb) ok
  // ---------
  if ( empty($qtr_error) )
  {
    if ( $_FILES['title']['size'] > (intval($intSize)*1024+16) )
    {
    $qtr_error = $L['E_file_size'].' (&lt;'.$intSize.' Kb)';
    unlink($_FILES['title']['tmp_name']);
    }
  }

  // ---------
  // check extension
  // ---------
  if ( empty($qtr_error) )
  {
    $strExt = strtolower(substr(strrchr($_FILES['title']['name'],'.'),1));
    if ( in_array($strExt,array('jpg','jpeg','gif','png')) )
    {
      $bUpload=true;
    }
    else
    {
      $qtr_error = 'Format ('.$strExt.') not supported... You must use '.$_SESSION[QT]['avatar'];
      unlink($_FILES['title']['tmp_name']);
      $bUpload = false;
    }
  }

  // ---------
  // is size ok
  // ---------
  if ( empty($qtr_error) )
  {
    $size = getimagesize($_FILES['title']['tmp_name']);
    $width = $size[0];
    $height = $size[1];
    if (($width-2 > $intWidth) or ($height-2 > $intWidth))
    {
      $qtr_error = $intWidth.'x'.$intWidth.' '.$L['E_pixels_max'];
      unlink($_FILES['title']['tmp_name']);
    }
  }

  // ---------
  // define target name
  // ---------
  if ( empty($qtr_error) && $bUpload )
  {
    //File has passed all validation, copy it to the final destination and remove the temporary file:
    copy($_FILES['title']['tmp_name'],"avatar/s_$id.$strExt");
    $oDB->Query('UPDATE '.TABSECTION.' SET logo="s_'.$id.'.'.$strExt.'" WHERE id='.$id);
    unlink($_FILES['title']['tmp_name']);

    // exit
    $oVIP->EndMessage(NULL,$L['S_update'],$_SESSION[QT]['skin_dir'],2);
  }
}

// --------
// HTML START
// --------

$strHeadScript = '
<script type="text/javascript">
<!--
function ValidateForm(theForm)
{
  if (theForm.title.value.length==0) { alert("'.$L['E_mandatory'].': File"); return false; }
  return null;
}
-->
</script>
';
include('qtr_adm_p_header.php');
include('qtr_adm_p_title.php');

$str='';
if ( file_exists('avatar/s_'.$id.'.gif') ) $str = 'avatar/s_'.$id.'.gif';
if ( file_exists('avatar/s_'.$id.'.jpg') ) $str = 'avatar/s_'.$id.'.jpg';
if ( file_exists('avatar/s_'.$id.'.png') ) $str = 'avatar/s_'.$id.'.png';
if ( file_exists('avatar/s_'.$id.'.jpeg') ) $str = 'avatar/s_'.$id.'.jpeg';

echo '<table class="ta_hidden" cellspacing="0">',N;
echo '<tr class="tr_hidden">',N;
echo '<td class="td_hidden" style="width:175px;"><br/>',AsImgBox(AsImg($str),'div_pic_box'),'</td>',N;
echo '<td class="td_hidden">',N;

HtmlMsg(0,'350px','',$L['Add'].'/'.$L['Remove'].' logo');

echo '<form method="post" action="',$oVIP->selfurl,'" enctype="multipart/form-data" onsubmit="return ValidateForm(this);">',N;

if ( !empty($qtr_error) ) echo '<span class="error">',$qtr_error,'</span>',N;
echo '<p style="text-align:right">',N;
echo '(max ',$intWidth,'x',$intWidth,' pixels)<br/><br/>',N;
echo '<input type="hidden" name="max_file_size" value="',($intSize*1024),'"/>',N;
echo '<input type="hidden" name="id" value="',$id,'"/>',N;
echo '<input type="file" id="title" name="title" size="32"/>',N;
echo '<input type="submit" name="ok" value="',$L['Save'],'"/></p>',N;
echo '</form><br/>',N;
echo '<form method="post" action="',$oVIP->selfurl,'">',N;
echo '<p style="text-align:right">',N;
echo '<input type="hidden" name="id" value="',$id,'"/>',N;
echo '<input type="submit" name="del" value="',$L['Delete'],'"/></p>',N;
echo '</form>',N;
echo '&laquo; <a href="',$oVIP->exiturl,'">',$oVIP->exitname,'</a>',N;

HtmlMsg(1);

echo '
</td>
</tr>
</table>
';

// HTML END

include('qtr_adm_p_footer.php');

?>