<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.6 build:20081216
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 * About text coding in the database
 * This script will convert the text before inserting into the dabase as follow:
 *
 * 1) stripslashes
 * 2) htmlspecialchar($text,ENT_QUOTES) <>&"' are converted to html
 * 3) bbcodes remain UNCHANGED (they are converted while displayed)
 *
 */

session_start();
require_once('bin/qtr_init.php');
if ( !$oVIP->CanAccess('MUV',6) ) die($L['R_member']);

// INITIALISE

include('bin/qtr_fn_limitsql.php');

  // initialise action (nt,re,ed,qu,ed allowed)

  $a = -1;
  if ( isset($_GET['a']) ) $a = $_GET['a'];
  if ( isset($_POST['action']) ) $a = $_POST['action'];
  if ( !in_array($a,array('nt','re','ed','qu')) ) die('Missing parameters A');

  // initialise section (-1 not allowed)

  $s = -1;
  if ( isset($_GET['s']) ) $s = intval($_GET['s']);
  if ( isset($_POST['section']) ) $s = intval($_POST['section']);
  if ( $s<0 ) die('Missing parameters: section');

  // initialise topic (-1 allowed when new topic)

  $t = -1;
  if ( isset($_GET['t']) ) $t = intval($_GET['t']);
  if ( isset($_POST['topic']) ) $t = intval($_POST['topic']);

  // initialise post (-1 allowed when new reply)

  $p = -1;
  if ( isset($_GET['p']) ) $p = intval($_GET['p']);
  if ( isset($_POST['post']) ) $p = intval($_POST['post']);

  $oSEC = new cSection($s);
  $oTopic = new cTopic(($t>=0 ? $t : null));
  $oPost = new cPost(($p>=0 ? $p : null));

  // initialise others

  $intBehalf = -1;
  $strBehalf = '';
  $intNotified = -1;
  $strNotified = '';
  $now = date('Ymd His');

$oVIP->selfurl = 'qtr_form_edit.php';
$oVIP->selfname = $L['Message'];
if ( $a=='nt' ) $oVIP->selfname = $L['Post_new_topic'];
if ( $a=='re' ) $oVIP->selfname = $L['Post_reply'];
if ( $a=='qu' ) $oVIP->selfname = $L['Post_reply'];
if ( $a=='ed' ) $oVIP->selfname = $L['Edit_message'];
$oVIP->exiturl = 'qtr_topic.php?s='.$s.'&t='.$t;
$oVIP->exitname = $L['Topics'];

// MAP MODULE

$bMap = UseModule('map');
if ( $bMap ) { if ( empty($_SESSION[QT]['m_map_gkey']) ) $bMap=false; }
if ( $bMap ) { require_once('qtrm_map_lib.php'); if ( !QTgcanmap($s) ) $bMap=false; }
if ( $bMap ) include(Translate('qtrm_map.inc'));

// --------
// SUBMITTED
// --------

if ( isset($_POST['dosend']) || isset($_POST['dopreview']) )
{

  // Pmodifuser is the current editor/creator (can be the onbehalf)
  // In case of New message (or Reply or Quote), this one becomes the creator (Puserid=Pmodifuser)
  // In case of Edit existing message, Puserid is not changed but the Pmodifuser can be saved (if Pmodifuser!=Puserid)

  $oPost->modifuser = $oVIP->id;
  $oPost->modifname = $oVIP->username;

  // --------
  // read submitted fields
  // --------

  if ( isset($_POST['icon']) ) { $oPost->icon = $_POST['icon']; }
  if ( isset($_POST['title']) ) { $oPost->title = trim($_POST['title']); if ( get_magic_quotes_gpc() ) $oPost->title = stripslashes($oPost->title); }
  if ( isset($_POST['text']) ) { $oPost->text = trim($_POST['text']); if ( get_magic_quotes_gpc() ) $oPost->text = stripslashes($oPost->text); }
  if ( isset($_POST['eventdate']) )
  {
    // check date
    $str = '';
    if ( !empty($_POST['eventdate']) )
    {
      $str = QTdate(trim($_POST['eventdate']),array('s','date','Ymd',null));
    }
    if ( !is_string($str) ) $qtr_error = $L['Eventdate'].' '.$L['E_invalid'];
    if ( substr($str,0,6)=='Cannot' ) $qtr_error = $L['Eventdate'].' '.$L['E_invalid'];
    if ( substr($str,0,4)=='1970' ) $qtr_error = $L['Eventdate'].' '.$L['E_invalid'];
    if ( empty($qtr_error) ) $oTopic->eventdate = $str;
  }
  if ( isset($_POST['eventtime']) )
  {
    if ( !empty($_POST['eventtime']) )
    {
    $str = trim($_POST['eventtime']);
    $str = QTconv($str,'T');
    $oTopic->eventdate .= ' '.$str;
    }
  }
  if ( isset($_POST['wisheddate']) )
  {
    if ( !empty($_POST['wisheddate']) )
    {
    $str = QTdate(trim($_POST['wisheddate']),array('s','date','Ymd',null));
    if ( !is_string($str) ) $qtr_error = $L['Wisheddate'].' '.$L['E_invalid'];
    if ( substr($str,0,6)=='Cannot' ) $qtr_error = $L['Wisheddate'].' '.$L['E_invalid'];
    if ( substr($str,0,4)=='1970' ) $qtr_error = $L['Wisheddate'].' '.$L['E_invalid'];
    if ( empty($qtr_error) ) $oTopic->wisheddate = $str;
    }
  }
  if ( isset($_POST['behalf']) ) { $strBehalf = trim($_POST['behalf']); if ( get_magic_quotes_gpc() ) $strBehalf = stripslashes($strBehalf); }
  if ( isset($_POST['notifiedname']) ) { $strNotified = trim($_POST['notifiedname']); if ( get_magic_quotes_gpc() ) $strNotified = stripslashes($strNotified); }

  // complete if missing behalf name

  if ( $strBehalf!='' )
  {
    $strBehalf = htmlspecialchars($strBehalf,ENT_QUOTES);
    $arrNames = GetUsers('name',$strBehalf);
    if ( !empty($arrNames) ) { foreach ( $arrNames as $intKey => $strValue ) { $intBehalf = $intKey; } }
    if ( $intBehalf<0 ) $qtr_error = $L['Send_on_behalf'].' '.$L['E_invalid'];
    $oPost->modifuser = $intBehalf;
    $oPost->modifname = $strBehalf;
  }

  // identify user

  if ( $a!='ed' )
  {
    $oPost->userid = $oPost->modifuser;
    $oPost->username = $oPost->modifname;
  }

  // complete if missing notified name

  if ( $strNotified!='' )
  {
    $strNotified = htmlspecialchars($strNotified,ENT_QUOTES);
    $arrNames = GetUsers('name',$strNotified);
    if ( !empty($arrNames) ) { foreach ( $arrNames as $intKey => $strValue ) { $intNotified = $intKey; } }
  }
  if ( $intNotified<0 && $strNotified!='' ) $qtr_error = $L['Notify_also'].' '.$L['E_invalid'];

  // --------
  // mandatory submitted fields
  // --------

  if ( $oSEC->notifycc=='2' && $intNotified<0 && $a=='nt' ) $qtr_error = $L['Notify_also'].': '.$L['E_mandatory'];
  if ( $oSEC->eventdate=='2' && empty($oTopic->eventdate) && $a=='nt' ) $qtr_error = $L['Eventdate'].': '.$L['E_mandatory'];
  if ( $oSEC->eventdate=='4' && empty($oTopic->eventdate) && $a=='nt' ) $qtr_error = $L['Eventdate'].': '.$L['E_mandatory'];
  if ( $oSEC->wisheddate=='2' && $_POST['wisheddate']=='' && $a=='nt' ) $qtr_error = $L['Wishddate'].': '.$L['E_mandatory'];

  $oPost->title = QTbbc($oPost->title,'deepdrop',' ',50,null,null,' ');
  if ( $a=='nt' && $oPost->title=='' && $oSEC->titlefield==2 ) $qtr_error = $L['E_no_title'];

  if ( strlen($oPost->text)>$_SESSION[QT]['chars_per_post'] ) $qtr_error = $L['E_too_long'].' '.sprintf($L['E_char_max'], $_SESSION[QT]['chars_per_post']);
  if ( substr_count($oPost->text,"\n")>$_SESSION[QT]['lines_per_post'] ) $qtr_error = $L['E_too_long'].' '.sprintf($L['E_line_max'], $_SESSION[QT]['lines_per_post']);

  $oPost->text = substr( $oPost->text, 0, $_SESSION[QT]['chars_per_post'] );
  $oTopic->preview = QTbbc($oPost->text,'deepdrop',' ',250,null,null,'');

  if ($oPost->text=='') $qtr_error = $L['Message'].' '.$L['E_invalid'];

  // --------
  // check submitted rules (when sending the message)
  // --------

  if ( isset($_POST['dosend']) && empty($qtr_error) )
  {
    // check maximum post per user/minutes
    if ( !LastPostDelayAcceptable($oVIP) ) $qtr_error=$L['E_wait'];

    // check maximum post per day (not for moderators)
    if ( empty($qtr_error) )
    {
      if ( $oVIP->role=='U' || $oVIP->role=='V' ) {
      if ( !PostsTodayAcceptable(intval($_SESSION[QT]['posts_per_day'])) ) {
        $qtr_error=$L['E_too_much'];
        // exit
        $oVIP->exiturl = 'qtr_topics.php?s='.$s;
        $oVIP->EndMessage(NULL,$qtr_error,$_SESSION[QT]['skin_dir'],0);
      }}
    }

    // check message
    if ( empty($qtr_error) )
    {
      // ----------
      // module antispam
      if ( empty($qtr_error) ) {
      if ( isset($_SESSION[QT]['m_antispam']) ) {
        include('qtrm_antispam.php');
      }}
      // ----------
    }
  }
}

// --------
// SUBMITTED Process a SEND
// --------

if ( isset($_POST['dosend']) && empty($qtr_error) )
{
  // ----------
  // SEND a new topic
  // ----------
  if ( $a=='nt' )
  {
    $oTopic->id = Nextid(TABTOPIC);
    $oTopic->numid = Nextid(TABTOPIC,'numid','WHERE section='.$s);
    $oPost->id = Nextid(TABPOST);
    $oPost->topic = $oTopic->id;
    $oPost->section = $s;
    $oTopic->section = $s;
      // if moderator post
      if ( isset($_POST['topictype']) ) $oTopic->type = $_POST['topictype'];
      if ( isset($_POST['topicstatus']) ) $oTopic->status = $_POST['topicstatus'];
    $oTopic->firstpostid = $oPost->id;
    $oTopic->lastpostid = $oPost->id;
    $oTopic->firstpostuser = $oPost->userid;
    $oTopic->firstpostname = $oPost->username;
    $oTopic->lastpostuser = $oPost->userid;
    $oTopic->lastpostname = $oPost->username;
    $oTopic->firstpostdate = $now;
    $oTopic->lastpostdate = $now;
      if ( $intNotified>=0 )
      {
        $oTopic->notifiedid = $intNotified;
        $oTopic->notifiedname = $strNotified;
      }
    $oTopic->section = $s;
      // replace empty title
      if ( empty($oPost->title) )
      {
      $oPost->title = QTbbc($oPost->text,'deepdrop',' ',50,null,null,' ');
      }
    $oPost->type = 'P';
    $oPost->issuedate = $now;
    $oPost->InsertPost(false);
    $oTopic->InsertTopic(true,true,$oPost,$oSEC);
    $oVIP->numpost++;

    // location update
    if ( $bMap ) {
    if ( isset($_POST['m_map_gcenter']) ) {
    if ( !empty($_POST['m_map_gcenter']) ) {
      QTgpoint(TABTOPIC,$oTopic->id,QTgety($_POST['m_map_gcenter']),QTgetx($_POST['m_map_gcenter']));
    }}}

    // ----------
    // module rss
    if ( UseModule('rss') ) { if ( $_SESSION[QT]['m_rss']=='1' ) include('qtrm_rss_inc.php'); }
    // ----------

    $_SESSION[QT]['editing']=true;
    $oVIP->exiturl = 'qtr_topic.php?s='.$s.'&t='.$oPost->topic;

  }

  // ----------
  // SEND a reply
  // ----------
  if ( $a=='re' || $a=='qu' )
  {
    $oPost->id = Nextid(TABPOST);
    $oPost->topic = $t;
    $oPost->section = $s;
    $oPost->type = 'R';
    $oPost->issuedate = $now;
    $oPost->InsertPost(true);
    $oVIP->numpost++;

    // update topic stats and close topic if full (and lastpost topic info)
    $oTopic->UpdateTopicStats($t,$_SESSION[QT]['posts_per_topic'],$oPost);

    // topic status/type (from staff)
    if ( isset($_POST['topictype']) )
    {
      if ( $_POST['topictype']!=$_POST['oldtype'] ) $oTopic->SetType($t,$_POST['topictype']);
    }
    if ( isset($_POST['topicstatus']) )
    {
      if ( $_POST['topicstatus']!=$_POST['oldstatus'] ) $oTopic->SetStatus($_POST['topicstatus'],true,$oPost);
    }
    // topic status (from user)
    if ( isset($_POST['topicstatususer']) ) { if ( $_POST['topicstatususer'][0]=='Z' ) $oTopic->SetStatus('Z',true,$oPost); }

    $oVIP->exiturl = "qtr_topic.php?s=$s&amp;t=$oPost->topic&amp;tt=messages#$oPost->id";

  }

  // ----------
  // SEND a edition
  // ----------
  if ( $a=='ed' )
  {
    if ( $oSEC->titlefield==0 && $oPost->type=='P' )
    {
    $oPost->title = QTbbc($oPost->text,'deepdrop',' ',50,null,null,' ');
    }
    if ( empty($oPost->title) && $oPost->type=='P' )
    {
    $oPost->title = QTbbc($oPost->text,'deepdrop',' ',50,null,null,' ');
    }

    if ( isset($_POST['m_map_gcenter']) )
    {
      if ( empty($_POST['m_map_gcenter']) )
      {
      QTgpointdelete(TABTOPIC,$oTopic->id);
      }
      else
      {
      QTgpoint(TABTOPIC,$oTopic->id,QTgety($_POST['m_map_gcenter']),QTgetx($_POST['m_map_gcenter']));
      }
    }

    $strModif = '';

    // modifdate+modifuser if editor is not the creator
    if ( $oPost->modifuser!=$oPost->userid ) $strModif=', modifdate="'.$now.'", modifuser='.$oPost->modifuser.', modifname="'.$oPost->modifname.'"';
    // modifdate+modifuser if not the last message
    if ( $oTopic->lastpostid!=$oPost->id ) $strModif=', modifdate="'.$now.'", modifuser='.$oPost->modifuser.', modifname="'.$oPost->modifname.'"';

    if ( $oDB->type=='db2' || $oDB->type=='ifx')
    {
    $oDB->Query( 'UPDATE '.TABPOST.' SET title="'.addslashes($oPost->title).'", icon="'.$oPost->icon.'",textmsg="'.addslashes($oPost->text).'",",textmsg2="'.substr(addslashes($oPost->text),0,255).'" '.$strModif.' WHERE id='.$oPost->id );
    }
    else
    {
    $oDB->Query( 'UPDATE '.TABPOST.' SET title="'.addslashes($oPost->title).'", icon="'.$oPost->icon.'",textmsg="'.addslashes($oPost->text).'" '.$strModif.' WHERE id='.$oPost->id );
    }

    if ( isset($_POST['eventdate']) || isset($_POST['wisheddate']) ) {
      $oDB->Query('UPDATE '.TABTOPIC.' SET eventdate="'.$oTopic->eventdate.'",wisheddate="'.$oTopic->wisheddate.'" WHERE id='.$t);
    }
    
    // topic status/type (from moderator)
    if ( isset($_POST['topictype']) )
    {
      if ( $_POST['topictype']!=$_POST['oldtype'] ) $oTopic->SetType($oTopic->id,$_POST['topictype']);
    }
    if ( isset($_POST['topicstatus']) )
    {
      if ( $_POST['topicstatus']!=$_POST['oldstatus'] ) $oTopic->SetStatus($_POST['topicstatus']);
    }
    // topic status (from user)
    if ( isset($_POST['topicstatususer']) ) { if ( $_POST['topicstatususer'][0]=='Z' ) $oTopic->SetStatus('Z'); }

    $oVIP->exiturl = "qtr_topic.php?s=$s&amp;t=$oPost->topic&amp;tt=messages#$oPost->id";
  }

  // Update section stats
  
  UpdateSectionStats($s); // since v1.6, section will not be closed on a maximum content

  // Location update
  if ( $bMap ) {
  if ( isset($_POST['m_map_gcenter']) ) {
    QTgpoint(TABTOPIC,$oTopic->id,QTgety($_POST['m_map_gcenter']),QTgetx($_POST['m_map_gcenter']));
  }}

  // Exit

  $str = ''; if ( $oSEC->numfield!='N' ) $str='<b>'.sprintf($oSEC->numfield,$oTopic->numid).'</b><br/>';
  $oVIP->EndMessage(NULL,$str.$L['S_message_saved'],$_SESSION[QT]['skin_dir'],2);

}

// --------
// HTML START
// --------

if ( $a=='nt' )
{
  $oPost->icon = '00';
  $oPost->type = 'P';
}
if ( $a=='qu' )
{
  if ( $t<0 ) die('Missing parameters: topicid');
  if ( $p<0 ) die('Missing parameters: postid');
  $oPost->icon = '00';
  $oPost->title = '';
  $oPost->text = "[quote=$oPost->username]$oPost->text[/quote]";
  // rest must be as reply
  $a = 're';
}
if ( $a=='re' )
{
  if ( $t<0 ) die('Missing parameters: topicid');
  $oPost->icon = '00';
  $oPost->type = 'R';
}
if ( $a=='ed' )
{
  if ( $t<0 ) die('Missing parameters: topicid');
  if ( $p<0 ) die('Missing parameters: postid');
}

$bJauto=false;
  if ( $oVIP->role=='A' || $oVIP->role=='M' ) $bJauto=true;
  if ( $oSEC->notify==1 && $oPost->type=='P' && $oSEC->notifycc!=0 ) $bJauto=true;
$bJdate=false;
  if ( $oSEC->eventdate!=0 || $oSEC->wisheddate!=0 ) $bJdate = true;

// --------
// CONTENT
// --------

if ( $bJauto || $bJdate ) $arrCss=array('qt_jquery.css');
$bJavaBbc2 = true;
$strHeadScript = '';

if ( $bJauto || $bJdate ) $strHeadScript .= '<script type="text/javascript" src="bin/qt_jquery.js"></script>';
if ( $bJauto )            $strHeadScript .= '<script type="text/javascript" src="bin/qt_jquery_auto.js"></script>';
if ( $bJdate )            $strHeadScript .= '<script type="text/javascript" src="bin/qt_jquery_date.js"></script>';
if ( $bJauto || $bJdate ) $strHeadScript .= '
<script type="text/javascript">
<!--
$(document).ready(function() {
  '.($bJauto              ? '$("#behalf").autocomplete("qtr_j_name.php", { selectFirst: false });' : '').'
  '.($oSEC->eventdate!=0  ? '$("#eventdate").datepicker({ firstDay: 1, dateFormat: "yy-mm-dd", monthNames: ["'.implode('","',$L['dateMMM']).'"], dayNames: ["'.implode('","',$L['dateDDD']).'"], dayNamesMin: ["'.implode('","',$L['dateD']).'"]});' : '').'
  '.($oSEC->wisheddate!=0 ? '$("#wisheddate").datepicker({ firstDay: 1, dateFormat: "yy-mm-dd", monthNames: ["'.implode('","',$L['dateMMM']).'"], dayNames: ["'.implode('","',$L['dateDDD']).'"], dayNamesMin: ["'.implode('","',$L['dateD']).'"]});' : '').'
});
-->
</script>
';

if ( $bMap )
{
  $arrMapPoints = array();
  if ( !empty($oTopic->y) && !empty($oTopic->x) )
  {
    $arrMapPoints[$oTopic->id] = array(
      'y'=>floatval($oTopic->y),
      'x'=>floatval($oTopic->x),
      'title'=>substr($oTopic->title,0,25),
      'icon'=>$_SESSION[QT]['m_map'][$s]['icon'],
      'shadow'=>$_SESSION[QT]['m_map'][$s]['shadow'],
      'printicon'=>$_SESSION[QT]['m_map'][$s]['printicon'],
      'printshadow'=>$_SESSION[QT]['m_map'][$s]['printshadow']
    );
  }
  $strHeadScript .= QTgmapheader('http://gmaps-utility-library.googlecode.com/svn/trunk/markermanager/release/src/markermanager.js');
  $strBodyAddOnunload='GUnload()';
}

$bBbc=true;
include('qtr_p_header.php');

// PREVIEW

if ( isset($_POST['dopreview']) && empty($qtr_error) )
{
  echo '<h2>',$L['Preview'],'</h2>',N;

  // get user info
  $oDB->Query('SELECT signature,avatar,location,role FROM '.TABUSER.' WHERE id='.$oPost->userid);
  $row = $oDB->Getrow();
  $oPost->userloca = $row['location'];
  $oPost->useravat = $row['avatar'];
  $oPost->usersign = $row['signature'];
  $oPost->userrole = $row['role'];
  $oPost->issuedate = $now;
  $oPost->Show($oSEC,$oTopic,true,'','',$_SESSION[QT]['skin_dir'],'1',$arrQTdate);
}

// FORM START

echo '<h2>',$oVIP->selfname,'</h2>',N;
if ( !empty($qtr_error) ) echo '<p><span class="error">',$qtr_error,'</span></p>';

echo '
<script type="text/javascript">
<!--
function ValidateForm(theButton)
{
  theForm = theButton.form;
  if (theForm.text.value.length==0) { alert(qtHtmldecode("',$L['E_mandatory'],': ',$L['Topic_desc'],'")); return false; }
  if (theForm.text.value.length>',$_SESSION[QT]['chars_per_post'],') { alert(qtHtmldecode("',$L['E_too_long'],': ',$L['Maximum'],' ',$_SESSION[QT]['chars_per_post'],'")); return false; }
  return true;
}
-->
</script>
';

echo '
<form id="form_edit" method="post" action="',$oVIP->selfurl,'">
<input type="hidden" name="section" value="',$s,'"/>
<input type="hidden" name="topic" value="',$t,'"/>
<input type="hidden" name="action" value="',$a,'"/>
<input type="hidden" name="post" value="',$p,'"/>
<input type="hidden" name="oldtype" value="',$oTopic->type,'"/>
<input type="hidden" name="oldstatus" value="',$oTopic->status,'"/>
';
// Rules for status and types
// 1) author himself can NOT change de status
// 2) Moderator can change status
// 3) Admin can change status and type
if ( $oVIP->role=='A' || $oVIP->role=='M' )
{
  echo '<div class="div_modboard"><span class="span_modboard">',N;
  echo $L['Style'],' <select class="small" name="topictype" size="1">',N;
  echo QTastags($oSYS->types,null,$oTopic->type,null,$oTopic->type,'bold');
  echo '</select>',N;
  echo S,$L['Status'],' <select class="small" name="topicstatus" size="1">',N;
  echo QTastags($oSYS->statuses,null,$oTopic->status,null,$oTopic->status,'bold');
  echo '</select>',N;
  echo S,$L['Send_on_behalf'],S,'<input class="small" type="text" name="behalf" id="behalf" size="12" maxlength="24" value="'.(isset($strBehalf) ? $strBehalf : '').'"/></span>',N;
  echo '</div>',N;
}
// End of rule for status and types

echo '<table cellspacing="0" class="ta">',N;

// PREFIX ICON

if ( !empty($oSEC->prefix) )
{
echo '<tr>',N;
echo '<th class="th_o th_o_first" style="width:100px">',$L['Smiley'],'</th>',N;
echo '<td class="td_o">',N;
for ($i=0;$i<10;$i++)
{
  if ( file_exists($_SESSION[QT]['skin_dir'].'/ico_prefix_'.$oSEC->prefix.'_0'.$i.'.gif') )
  {
  echo '<input type="radio" name="icon" id="0',$i,'" value="0',$i,'"',($oPost->icon=='0$i' ? QCHE : ''),'/><label for="0',$i,'"><img class="ico_prefi" src="',$_SESSION[QT]['skin_dir'],'/ico_prefix_',$oSEC->prefix,'_0',$i,'.gif" label="smile" title="',$L['Ico_prefix'][$oSEC->prefix.'_0'.$i],'"/></label> &nbsp;',N;
  }
}
echo '<input type="radio" name="icon" id="00" value="00"',($oPost->icon=='00' ? QCHE : ''),'/><label for="00">',$L['None'],'</label></td>',N;
echo '</tr>',N;
}

// TITLE

if ( $oSEC->titlefield!=0 )
{
echo '<tr>',N;
echo '<th class="th_o th_o_first"><label for="title">',$L['Title'],'</label></th>',N;
echo '<td class="td_o"><input type="text" id="title" name="title" size="80" maxlength="64" value="',QTconv($oPost->title),'" tabindex="1"/></td>',N;
echo '</tr>',N;
}

// EVENTDATE

if ( $oPost->type=='P' ) {
if ( $oSEC->eventdate!=0 ) {

  echo '<tr>',N;
  $strValue = '';
  if ( isset($_POST['eventdate']) ) $strValue = $_POST['eventdate'];
  if ( !empty($oTopic->eventdate) ) $strValue = AsDateInput($oTopic->eventdate);
  echo '<th class="th_o th_o_first"><label for="eventdate">',$L['Eventdate'],'</label></th>',N;
  echo '<td class="td_o"><input type="text" id="eventdate" name="eventdate" size="10" maxlength="10" value="',$strValue,'" tabindex="2"/> ',N;
  echo '<a href="#" onclick="document.getElementById(\'eventdate\').value=\'',date('Y-m-d'),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_date.gif" alt="today" title="',$L['dateSQL']['Today'],'" style="vertical-align:bottom"/></a>',N;
  if ( $oSEC->eventdate>2 )
  {
    $strValue = '';
    if ( isset($_POST['eventtime']) ) $strValue = $_POST['eventtime'];
    if ( !empty($oTopic->eventdate) ) $strValue = AsDateInput($oTopic->eventdate,'time');
    echo '&nbsp; <input type="text" id="eventtime" name="eventtime" size="5" maxlength="8" value="',$strValue,'" tabindex="3"/>',N;
    echo '<a href="#" onclick="document.getElementById(\'eventtime\').value=\'',date('H:i'),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_dtime.gif" alt="now" title="',$L['dateSQL']['Now'],'" style="vertical-align:bottom"/></a>',N;
  }
  echo '&nbsp; <span class="small">(',$L['H_Eventdate'],($oSEC->eventdate>2 ? ' '.$L['H_Eventtime'] : ''),')</span>';
  echo '</td>',N;
  echo '</tr>',N;

}}

// MESSAGE

echo '<tr>',N;
echo '<th class="th_o th_o_first"><label for="text">',$L['Topic_desc'],'</label></th>',N;
echo '<td class="td_o">',N;
include('qtr_form_button.php');
echo '<a href="textarea"></a><br/>';
echo '<textarea id="text" name="text" rows="15" wrap="virtual" cols="80" tabindex="3">',QTconv($oPost->text),'</textarea></td>',N;
echo '</tr>',N;

// WISHEDDATE

if ( $oPost->type=='P' ) {
if ( $oSEC->wisheddate!=0 ) {

  echo '<tr>',N;
  $strValue = '';
  if ( isset($_POST['wisheddate']) ) $strValue = $_POST['wisheddate'];
  if ( !empty($oTopic->wisheddate) ) $strValue = AsDateInput($oTopic->wisheddate);
  echo '<th class="th_o th_o_first"><label for="wisheddate">',$L['Wisheddate'],'</label></th>',N;
  echo '<td class="td_o"><input type="text" id="wisheddate" name="wisheddate" size="10" maxlength="10" value="',$strValue,'" tabindex="4"/> ',N;
  echo '<a href="#" onclick="document.getElementById(\'wisheddate\').value=\'',date('Y-m-d'),'\';"><img src="',$_SESSION[QT]['skin_dir'],'/ico_date.gif" alt="today" title="',$L['dateSQL']['Today'],'" style="vertical-align:bottom"/></a>',N;
  echo '&nbsp;<span class="small">(',$L['H_Wisheddate'],')</span></td>',N;
  echo '</tr>',N;

}}

// NOTIFIED

if ( $oSEC->notify==1 ) {
if ( $oPost->type=='P' ) {
if ( $oSEC->notifycc!=0 ) {

  // default value
  $intValue = -1;
  $strValue = '';
  if ( $oSEC->notifycc==3 ) { $intValue = $oVIP->id; $strValue = $oVIP->username; }
  if ( $intNotified>=0 ) { $intValue = $intNotified; $strValue = $strNotified; }
  if ( $oTopic->notifiedid>=0 )  { $intValue = $oTopic->notifiedid; $strValue = $oTopic->notifiedname; }
  //

  echo '<tr>',N;
  echo '<th class="th_o th_o_first"><label for="notifiedname">',$L['Notify_also'],'</label></th>',N;
  echo '<td class="td_o"><input type="hidden" id="notifiedid" name="notifiedid" value="',$intValue,'"/><input type="text" id="notifiedname" name="notifiedname" size="20" maxlength="24" value="',$strValue,'" tabindex="5"/></div></td>',N;
  echo '</tr>',N;

}}}

// MAP

if ( $oPost->type=='P' ) {
if ( $bMap ) {

  $strPosition = '<p class="small" style="margin:2px 0 4px 2px;text-align:right">'.$L['map']['cancreate'];
  $strPosition .= ' | <a class="small" href="javascript:void(0)" onclick="createMarker(); return false;" title="'.$L['map']['H_pntadd'].'"/>'.$L['map']['pntadd'].'</a>';
  if ( !empty($oTopic->x) || !empty($oTopic->y) )
  {
    $strPosition = '<p class="small" style="margin:2px 0 4px 2px;text-align:right">'.$L['map']['canmove'];
    $strPosition .= ' | <a class="small" href="javascript:void(0)" onclick="deleteMarker(); return false;"/>'.$L['map']['pntdelete'].'</a>';
  }
  $strPosition .= ' | <a class="small" href="javascript:void(0)" onclick="undoChanges(); return false;"/>'.$L['map']['undo'].'</a></p>';
  $strPosition .= '
  <div id="map_canvas" style="width:100%; height:350px;"></div>
  <input type="hidden" id="m_map_gcenter" name="m_map_gcenter" value="'.(!empty($oTopic->y) ? $oTopic->y.','.$oTopic->x : '').'"/>
  ';
  $strPosition .= '<p class="small" style="margin:4px 0 2px 2px;text-align:right">'.$L['map']['addrlatlng'].' <input type="text" size="24" id="find" name="find" class="small" value="'.$_SESSION[QT]['m_map_gfind'].'" onKeyUp="qtKeypress(event,\'findit\')" title="'.$L['map']['H_addrlatlng'].'"/> <input type="submit" id="findit" class="small" onclick="showLocation(document.getElementById(\'find\').value); return false;" value="'.$L['Search'].'"/></p>';
  echo '<tr><th class="th_o th_o_first">',$L['map']['position'],'</th><td class="td_o">',$strPosition,'</td></tr>';

}}

// SUBMIT

echo '<tr>',N;
echo '<th class="th_o th_o_first">&nbsp;</th>',N;
echo '<td class="td_o">',N;

if ( $oTopic->status!='Z' && $oTopic->firstpostuser==$oVIP->id )
{
    // topic status (from user)
  $bChecked = false;
  if ( isset($_POST['topicstatususer']) ) { if ( $_POST['topicstatususer'][0]=='Z' ) $bChecked=true; }
  echo '<input type="checkbox" id="topicstatususer" name="topicstatususer[]" value="Z"',($bChecked ? QCHE : ''),'/> <label for="topicstatususer">&nbsp;',$L['Close_my_topic'],' </label>';
}

echo '&nbsp;<input type="submit" id="dopreview" name="dopreview" value="',$L['Preview'],'" onclick="return ValidateForm(this);"/>';
echo '&nbsp;<input type="submit" id="dosend" name="dosend" value="',$L['Send'],'" tabindex="3" onclick="return ValidateForm(this);"/>&nbsp;',N;
echo '</td>',N;
echo '</tr>',N;

// FORM END

echo '</table></form>',N;

// PREVIOUS POSTS

if ( $a=='re' || $a=='qu' )
{
  echo '<h2>',$L['Previous_replies'],'</h2>',N;
  // --------
  $strState = 'p.*, u.role, u.location, u.avatar, u.signature FROM '.TABPOST.' p, '.TABUSER.' u WHERE p.userid = u.id AND p.topic='.$t.' ';
  $strQ = LimitSQL($strState,'p.id DESC',0,5);
  $oDB->Query($strQ);
  // --------
  $iMsgNum = $oTopic->replies + 2;
  $iMsgAdd = -1;
  $intPosts= 0;
  $intWhile= 0;
  $strAlt  = '1';
  $strSep  = '';
  $bButton = false;
  $bAvatar = false;
  // --------
  include('qtr_topic_m_inc.php');
  // --------
}

// HTML END

if ( $bMap )
{

  // center
  if ( !empty($oTopic->x) && !empty($oTopic->y) )
  {
    $y = floatval($oTopic->y);
    $x = floatval($oTopic->x);
    $oMapPoint = new cMapPoint( $y,$x,substr($oTopic->title,0,25) );
    if ( isset($_SESSION[QT]['m_map'][$s]['icon']) )        $oMapPoint->icon        = $_SESSION[QT]['m_map'][$s]['icon'];
    if ( isset($_SESSION[QT]['m_map'][$s]['shadow']) )      $oMapPoint->shadow      = $_SESSION[QT]['m_map'][$s]['shadow'];
    if ( isset($_SESSION[QT]['m_map'][$s]['printicon']) )   $oMapPoint->printicon   = $_SESSION[QT]['m_map'][$s]['printicon'];
    if ( isset($_SESSION[QT]['m_map'][$s]['printshadow']) ) $oMapPoint->printshadow = $_SESSION[QT]['m_map'][$s]['printshadow'];
    $arrMapPoints = array( $oMapPoint );
  }
  else
  {
    $y = floatval(QTgety($_SESSION[QT]['m_map_gcenter']));
    $x = floatval(QTgetx($_SESSION[QT]['m_map_gcenter']));
    $arrMapPoints = array();
  }
  $strFooterAddScript = QTgmappoints($L['map'],$y,$x,'drag',$arrMapPoints,true).N.'mapload();';

}

include('qtr_p_footer.php');

?>