<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.6 build:20081216
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtr_init.php');
require_once('bin/qtr_fn_tags.php');
if ( !$oVIP->CanAccess('MUV',5,true) ) $oVIP->EndMessage('!',$L['R_member'],$_SESSION[QT]['skin_dir'],0);

// INITIALISE

$oVIP->selfurl = 'qtr_search.php';
$oVIP->selfname = $L['Search'];
$oVIP->exitname = $L['Search'];

$s = '-1';
if ( isset($_GET['s']) ) $s = strip_tags($_GET['s']);
if ( isset($_POST['s']) ) $s = strip_tags($_POST['s']);
if ( isset($_POST['s_ref']) ) $s = strip_tags($_POST['s_ref']);
if ( isset($_POST['s_ti']) ) $s = strip_tags($_POST['s_ti']);
if ( isset($_POST['s_db']) ) $s = strip_tags($_POST['s_db']);
if ( isset($_POST['s_kw']) ) $s = strip_tags($_POST['s_kw']);
$strRef = '';
if ( isset($_GET['ref']) ) $strRef = strip_tags($_GET['ref']);
if ( isset($_POST['ref']) ) $strRef = strip_tags($_POST['ref']);
$strKw = '';
if ( isset($_GET['kw']) ) $strKw = strip_tags($_GET['kw']);
if ( isset($_POST['kw']) ) $strKw = strip_tags($_POST['kw']);
$strSt = '-1';
if ( isset($_GET['st']) ) $strSt = strip_tags($_GET['st']);
if ( isset($_POST['st']) ) $strSt = strip_tags($_POST['st']);
$strTi = '-1';
if ( isset($_GET['ti']) ) $strTi = strip_tags($_GET['ti']);
if ( isset($_POST['ti']) ) $strTi = strip_tags($_POST['ti']);
$strDataf = '';
if ( isset($_GET['dataf']) ) $strDataf = strip_tags($_GET['dataf']);
if ( isset($_POST['dataf']) ) $strDataf = strip_tags($_POST['dataf']);
$strDatav = '';
if ( isset($_GET['datav']) ) $strDatav = strip_tags($_GET['datav']);
if ( isset($_POST['datav']) ) $strDatav = strip_tags($_POST['datav']);
$strTag = '';
if ( isset($_GET['tag']) ) $strTag = strip_tags(trim($_GET['tag']));
if ( isset($_POST['tag']) ) $strTag = strip_tags(trim($_POST['tag']));

// --------
// SUBMITTED
// --------

if ( isset($_POST['okref']) )
{
  if ( empty($strRef) ) $qtr_error = $L['Ref'].' '.$L['E_invalid'];
  if ( empty($qtr_error) ) { $oVIP->exiturl = 'qtr_search_id.php?s='.$s.'&ref='.$strRef; $oVIP->EndMessage('0'); exit; }
}
if ( isset($_POST['okti']) )
{
  if ( $strTi=='-' || $strTi=='--' || $strSt=='-' ) $qtr_error = $L['Date'].' & '.$L['Status'].' '.$L['E_invalid'];
  if ( $strTi=='-1' && $strSt=='-1' && empty($strTag) ) $qtr_error = $L['Date'].' & '.$L['Status'].' & Tag '.$L['E_invalid'];
  if ( $strTag==';' ) $qtr_error = 'Tag '.$L['E_invalid'];
  if ( empty($qtr_error) ) { $oVIP->exiturl = 'qtr_search_ti.php?s='.$s.'&ti='.$strTi.'&y='.$_POST['y'].'&st='.$strSt.'&tag='.$strTag; $oVIP->EndMessage('0'); exit; }
}
if ( isset($_POST['okkw']) )
{
  if ( empty($strKw) ) $qtr_error = $L['Keywords'].' '.$L['E_invalid'];
  if ( empty($qtr_error) ) { $oVIP->exiturl = 'qtr_search_kw.php?s='.$s.'&kw='.$strKw.'&to='.(isset($_POST['to']) ? '1' : '0'); $oVIP->EndMessage('0'); exit; }
}
if ( isset($_POST['okdb']) )
{
  if ( empty($strDataf) || empty($strDatav) ) $qtr_error = $L['Field'].' '.$L['E_invalid'];
  if ( empty($qtr_error) ) { $oVIP->exiturl = 'qtr_search_db.php?s='.$s.'&dataf='.$strDataf.'&datav='.$strDatav; $oVIP->EndMessage('0'); exit; }
}

// --------
// HTML START
// --------

$arrTags = cSection::GetTagsUsed(-1);
if ( count($arrTags)>0 ) $arrTags = TagsDesc($arrTags);
$str  = '';
foreach ($arrTags as $strKey=>$strDesc) { $str .= '{n:"'.$strKey.'",d:"'.($strKey==$strDesc ? ' ' : substr($strDesc,0,64)).'"},'; }
$str = substr($str,0,-1);

$arrCss = array('qt_jquery.css'); 
$strHeadScript = '
<script type="text/javascript" src="bin/qt_jquery.js"></script>
<script type="text/javascript" src="bin/qt_jquery_auto.js"></script>
<script type="text/javascript">
<!--
function FlushDatav() { $("#datav").flushCache(); }
function FlushTag() { $("#tag").flushCache(); }
$(document).ready(function() {
  $("#datav").autocomplete("qtr_j_data.php", {
    minChars:2,
    selectFirst: false,
    extraParams: { dataf: function() { return $("#dataf").val(); } }
    });
  var arrData = ['.$str.'];
  $("#tag").autocomplete(arrData,{
    minChars:0,
    width:200,
    multiple:true,
    multipleSeparator:";",
    formatItem: function(row) { return (row.d==" ") ? row.n : (row.n + "<span class=small> - " + row.d + "</span>"); },
    formatResult: function(row) { return row.n; }
    });
});
-->
</script>
';  

include('qtr_p_header.php');

// TOP BUTTONS

echo '<table class="ta_button" cellspacing="0">',N;
echo '<tr class="tr_button">',N;
echo '<td>&nbsp;</td>',N;
echo '<td style="width:25px" class="td_button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_t_0.gif','T',$L['Ico_topic_t_0'],'ico ico_t'),'</td>',N;
echo '<td style="width:120px" class="td_button">&nbsp;<a href="qtr_search_ov.php?a=last" class="a_button">',$L['Recent_messages'],'</a>&nbsp;</td>',N;
echo '<td style="width:10px">&nbsp;</td>',N;
echo '<td style="width:25px" class="td_button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_a_0.gif','T',$L['Ico_topic_a_0'],'ico ico_t'),'</td>',N;
echo '<td style="width:120px" class="td_button">&nbsp;<a href="qtr_search_ov.php?a=news" class="a_button">',$L['All_news'],'</a>&nbsp;</td>',N;
if ($oVIP->role!='V')
{
echo '<td style="width:10px">&nbsp;</td>',N;
  echo '<td style="width:25px" class="td_button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_user_p_1.gif','T',$L['Ico_user_p_1'],'ico ico_user'),'</td>',N;
echo '<td style="width:120px" class="td_button">&nbsp;<a href="qtr_search_ov.php?a=user&amp;id=',$oVIP->id,'&amp;n=',urlencode($oVIP->username),'" class="a_button">',$L['All_my_topics'],'</a>&nbsp;</td>',N;
}
echo '</tr>',N;
echo '</table>',N;

// SEARCH OPTION

echo '<h2>',$L['Search_option'],'</h2>
<div style="width:600px">
<form method="post" action="',$oVIP->selfurl,'">
<table class="ta ta_s" cellspacing="0">
<tr class="tr_t">
<th class="th_t th_t_first th_t_empty"></th>
<th class="th_t th_t_empty"></th>
<th class="th_t th_t_last th_t_empty"></th>
</tr>
<tr class="tr_t">
<td class="td_t" style="text-align:center; width:50px">',AsImg($_SESSION[QT]['skin_dir'].'/ico_section_option.gif','search',$L['Search'],'ico ico_s'),'</td>
<td class="td_t">',$L['Search'],' <select id="s" name="s" size="1" onchange="SearchOption(this.value);">
<option value="-1"',($s=='-1' ? QSEL : ''),'>',$L['In_all_sections'],'</option>';
if ( isset($oSYS) ) {
if ( count($oSYS->sections)>0 ) {
  echo QTastags($oSYS->sections,$L['Section'].': %s',$s);
}}
echo '
</select>
<input type="submit" id="o_ok" name="o_ok" value="',$L['Ok'],'"/>
<td class="td_t"></td>
</td>
</tr>
<tr class="tr_t">
<td class="tf_t tf_t_first"></td>
<td class="tf_t"></td>
<td class="tf_t tf_t_last"></td>
</tr>
</table>
</form>
</div>
';

echo '
<h2>',$L['Search_criteria'],'</h2>
';

// ERROR MESSAGE

if ( !empty($qtr_error) ) echo '<p class="error">',$qtr_error,'</p>';

// SEARCH BY REF

if ( isset($oSYS) ) {
if ( count($oSYS->sections)>0 ) { $arrSections = GetSectionTitles($oVIP->role,-1,-1,'numfield<>"N"');
if ( count($arrSections)>0 ) {
echo '<form method="post" action="',$oVIP->selfurl,'">
<table class="ta ta_s" cellspacing="0">
<tr class="tr_t">
<th class="th_t th_t_first th_t_empty"></th>
<th class="th_t th_t_empty"></th>
<th class="th_t th_t_last th_t_empty"></th>
</tr>
<tr class="tr_t">
<td class="td_t" style="text-align:center; width:50px">',AsImg($_SESSION[QT]['skin_dir'].'/ico_section_search.gif','search',$L['Search'],'ico ico_s'),'</td>
<td class="td_t">',$L['Ref'],' <input type="text" id="ref" name="ref" size="5" maxlength="10" value="'.$strRef.'" onKeyUp="qtKeypress(event,\'okref\')"/>&nbsp;<label for="title">',$L['H_Reference'],'</label></td>
<td class="td_t" style="padding:7px; text-align:right">
<input type="hidden" id="s_ref" name="s_ref" value="',$s,'"/>
<input type="submit" id="okref" name="okref" value="',$L['Search'],'" onclick="return ValidateForm(\'ref\');"/>
</td>
</tr>
<tr class="tr_t">
<td class="tf_t tf_t_first"></td>
<td class="tf_t"></td>
<td class="tf_t tf_t_last"></td>
</tr>
</table>
</form>
';
}}}

// SEARCH BY DATAFIELD

$arrFields = array();
if ( $oVIP->role=='U' || $oVIP->role=='V' ) 
{
$oDB->Query( 'SELECT tabid,fieldid FROM '.TABFIELD.' WHERE fieldselect="1" ORDER BY tabid,fieldid' );
}
else
{
$oDB->Query( 'SELECT tabid,fieldid FROM '.TABFIELD.' ORDER BY tabid,fieldid' );
}
while($row=$oDB->Getrow())
{
  $arrFields[$row['fieldid']] = ObjTrans('tab',$row['tabid'],true).': '.ObjTrans('field',$row['fieldid'],true);
}
if ( count($arrFields)>0 )
{
echo '<form method="post" action="',$oVIP->selfurl,'">
<table class="ta ta_s" cellspacing="0">
<tr class="tr_t">
<th class="th_t th_t_first th_t_empty"></th>
<th class="th_t th_t_empty"></th>
<th class="th_t th_t_last th_t_empty"></th>
</tr>
<tr class="tr_t">
<td class="td_t" style="text-align:center; width:50px">',AsImg($_SESSION[QT]['skin_dir'].'/ico_section_search.gif','search',$L['Search'],'ico ico_s'),'</td>
<td class="td_t">',$L['Field'],' <select id="dataf" name="dataf" size="1" onchange="FlushDatav();">
<option value="*"',($strDataf=='*' ? QSEL : ''),'>',$L['All'],'</option>
<option value="-" disabled="disabled">-----------</option>
',QTastags($arrFields,null,$strDataf),'
</select>&nbsp;
<input id="datav" name="datav" size="30" value="',$strDatav,'" onKeyUp="qtKeypress(event,\'okdb\')"/>
</td>
<td class="td_t" style="padding:7px; text-align:right">
<input type="hidden" id="s_db" name="s_db" value="',$s,'"/>
<input type="submit" id="okdb" name="okdb" value="',$L['Search'],'" onclick="return ValidateForm(\'datav\');"/>
</td>
</tr>
<tr class="tr_t">
<td class="tf_t tf_t_first"></td>
<td class="tf_t"></td>
<td class="tf_t tf_t_last"></td>
</tr>
</table>
</form>
';
}

// SEARCH BY KEY

echo '<form method="post" action="',$oVIP->selfurl,'">
<table class="ta ta_s" cellspacing="0">
<tr class="tr_t">
<th class="th_t th_t_first th_t_empty"></th>
<th class="th_t th_t_empty"></th>
<th class="th_t th_t_last th_t_empty"></th>
</tr>
<tr class="tr_t">
<td class="td_t" style="text-align:center; width:50px">',AsImg($_SESSION[QT]['skin_dir'].'/ico_section_search.gif','search',$L['Search'],'ico ico_s'),'</td>
<td class="td_t">',$L['Keywords'],' <input type="text" id="kw" name="kw" size="40" maxlength="64" value="'.$strKw.'" onKeyUp="qtKeypress(event,\'okkw\')"/>&nbsp;<input type="checkbox" id="to" name="to"',(isset($_GET['to']) ? QCHE : ''),' value="1"/> <label for="to">',$L['In_title_only'],'</label>
</td>
<td class="td_t" style="padding:7px; text-align:right">
<input type="hidden" id="s_kw" name="s_kw" value="',$s,'"/>
<input type="submit" id="okkw" name="okkw" value="',$L['Search'],'" onclick="return ValidateForm(\'kw\');"/>
</td>
</tr>
<tr class="tr_t">
<td class="tf_t tf_t_first"></td>
<td class="tf_t"></td>
<td class="tf_t tf_t_last"></td>
</tr>
</table>
</form>
';

// SEARCH BY DATE & STATUS

echo '
<h2>',$L['Advanced_search'],'</h2>
';

echo '<form method="post" action="',$oVIP->selfurl,'">
<table class="ta ta_s" cellspacing="0">
<tr class="tr_t">
<th class="th_t th_t_first th_t_empty"></th>
<th class="th_t th_t_empty"></th>
<th class="th_t th_t_last th_t_empty"></th>
</tr>
<tr class="tr_t">
<td class="td_t" style="text-align:center; width:50px">',AsImg($_SESSION[QT]['skin_dir'].'/ico_section_search.gif','search',$L['Search'],'ico ico_s'),'</td>
<td class="td_t">',$L['Date'],' <select name="ti" size="1">
<option value="w"',($strTi=='w' ? QSEL : ''),'>',$L['This_week'],'</option>
<option value="m"',($strTi=='m' ? QSEL : ''),'>',$L['This_month'],'</option>
<option value="y"',($strTi=='y' ? QSEL : ''),'>',$L['This_year'],'</option>
<option value="-" disabled="disabled">-----------</option>
<option value="-1"',($strTi=='-1' ? QSEL : ''),'>',$L['Any_time'],'</option>
<option value="--" disabled="disabled">-----------</option>
',QTastags($L['dateMMM'],null,$strTi),'
</select><input type="hidden" name="y" value="',date('Y'),'"/>
',$L['Status'],' <select id="st" name="st" size="1">
<option value="-1"',($strSt=='-1' ? QSEL : ''),'>',$L['Any_status'],'</option>
<option value="-" disabled="disabled">-----------</option>
 ',QTastags($oSYS->statuses,null,$strSt),'
</select>
 ',$L['With_tag'],' <input type="text" id="tag" name="tag" size="30" value="'.$strTag.'" onKeyUp="qtKeypress(event,\'okti\')"/>
</td>
<td class="td_t" style="padding:7px; text-align:right">
<input type="hidden" id="s_ti" name="s_ti" value="',$s,'"/>
<input type="submit" id="okti" name="okti" value="',$L['Search'],'"/>
</td>
</tr>
<tr class="tr_t">
<td class="tf_t tf_t_first"></td>
<td class="tf_t"></td>
<td class="tf_t tf_t_last"></td>
</tr>
</table>
</form>
<p class="small">',$L['H_Tag_input'],'</p>
';

// HTML END

echo '<script type="text/javascript">
<!--
document.getElementById("o_ok").style.visibility="hidden";
document.getElementById("kw").focus();
function SearchOption(strValue)
{
  if (document.getElementById("s_ref")) document.getElementById("s_ref").value=strValue;
  if (document.getElementById("s_ti")) document.getElementById("s_ti").value=strValue;
  if (document.getElementById("s_kw")) document.getElementById("s_kw").value=strValue;
  if (document.getElementById("s_db")) document.getElementById("s_db").value=strValue;
  if (document.getElementById("s_tag")) document.getElementById("s_tag").value=strValue;
}
function ValidateForm(strId)
{
  strError = strId;
  if (strId=="datav") strError = "',str_replace('"','',$L['Field']),'"; 
  if (strId=="kw") strError = "',str_replace('"','',$L['Keywords']),'"; 
  if (document.getElementById(strId).value.length==0) { alert(strError.toUpperCase()+" - "+qtHtmldecode("',$L['E_mandatory'],'")); return false; }
  return null;
}
-->
</script>
';

include('qtr_p_footer.php');

?>