<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.6 build:20081216
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtr_init.php');
if ( !$oVIP->CanAccess('MUV',5,true) ) $oVIP->EndMessage('!',$L['R_member'],$_SESSION[QT]['skin_dir'],0);

if ( !isset($_GET['ti']) ) die('Missing parameter ti');
if ( !isset($_GET['y']) ) die('Missing parameter y');
if ( !isset($_GET['s']) ) die('Missing parameter s');
if ( !isset($_GET['st']) ) die('Missing parameter st');
if ( !isset($_GET['tag']) ) die('Missing parameter tag');


// INITIALISE

$bMap = UseModule('map');
if ( $bMap ) { if ( empty($_SESSION[QT]['m_map_gkey']) ) $bMap=false; }
if ( $bMap ) { require_once('qtrm_map_lib.php'); if ( !QTgcanmap('S',$oVIP->role) ) $bMap=false; }
if ( $bMap ) include(Translate('qtrm_map.inc'));

$strOrder = 'lastpostdate';
$strDirec = 'DESC';
$intLimit = 0;
$intPage = 1;

// security check 1
$strTime = strip_tags($_GET['ti']);
$strStatus = strip_tags($_GET['st']);
$strTags = strip_tags($_GET['tag']); if ( substr($strTags,-1,1)==';' ) $strTags = substr($strTags,0,-1); 
if ( empty($strTags) ) { $arrTags=array(); } else { $arrTags = explode(';',$strTags); }  
$intYear = intval($_GET['y']);
$s = intval($_GET['s']);

// security check 2 (no long argument)
if ( strlen($strTime)>2 ) die('Invalid argument #ti');
if ( $intYear<1970 || $intYear>2070 ) die('Invalid argument #y');

$intLimit = ($intPage-1)*$_SESSION[QT]['topics_per_page'];

if ( QTR_LIST_ME && $oVIP->numpost>0 )
{
  $oDB2 = new cDB($qtr_dbsystem,$qtr_host,$qtr_database,$qtr_user,$qtr_pwd,$qtr_port,$qtr_dsn);
}

$oVIP->selfurl = 'qtr_search_ti.php';
$oVIP->selfname = $L['Advanced_search'];
$oVIP->exiturl = 'qtr_search.php?'.QTargimplode(QTargexplode());
$oVIP->exitname = $L['Search'];

include('bin/qtr_fn_limitsql.php');

// criteria section

  if ( $s<0 )
  {
    $strWhere = 't.section>=0 AND s.type<>"1"';
    if ( $oVIP->role=='A' || $oVIP->role=='M' ) $strWhere = 't.section>=0';
  }
  else
  {
    $strWhere = 't.section='.$s;
  }

// criteria date

  // date this week (by default)
  if ( $strTime=='m' ) $strTime=date('n');
  if ( $strTime=='-1' )
  {
    $strWhere .= '';
  }
  elseif ( $strTime=='y' )
  {
    // this year
    switch(substr($oDB->type,0,5))
    {
    case 'mysql': $strWhere .= ' AND LEFT(t.firstpostdate,4)="'.$intYear.'"'; break;
    case 'mssql': $strWhere .= ' AND LEFT(t.firstpostdate,4)="'.$intYear.'"'; break;
    case 'pg':    $strWhere .= ' AND SUBSTRING(t.firstpostdate,1,4)="'.$intYear.'"'; break;
    case 'ibase': $strWhere .= ' AND SUBSTRING(t.firstpostdate FROM 1 FOR 4)="'.$intYear.'"'; break;
    case 'sqlit': $strWhere .= ' AND SUBSTR(t.firstpostdate,1,4)="'.$intYear.'"'; break;
    case 'acces': $strWhere .= ' AND LEFT(t.firstpostdate,4)="'.$intYear.'"'; break;
    case 'db2':   $strWhere .= ' AND SUBSTR(t.firstpostdate,1,4)="'.$intYear.'"'; break;
    case 'ifx':   $strWhere .= ' AND SUBSTRING(t.firstpostdate,1,4)="'.$intYear.'"'; break;
    case 'oci':   $strWhere .= ' AND SUBSTR(t.firstpostdate,1,4)="'.$intYear.'"'; break;
    default: die('Unknown db type '.$oDB->type);
    }
  }
  elseif ( $strTime=='w' )
  {
    // this week
    switch(substr($oDB->type,0,5))
    {
    case 'mysql': $strWhere .= ' AND LEFT(t.firstpostdate,8)>"'.DateAdd(date('Ymd'),-8,'day').'"'; break;
    case 'mssql': $strWhere .= ' AND LEFT(t.firstpostdate,8)>"'.DateAdd(date('Ymd'),-8,'day').'"'; break;
    case 'pg':    $strWhere .= ' AND SUBSTRING(t.firstpostdate,1,8)>"'.DateAdd(date('Ymd'),-8,'day').'"'; break;
    case 'ibase': $strWhere .= ' AND SUBSTRING(t.firstpostdate FROM 1 FOR 8)>"'.DateAdd(date('Ymd'),-8,'day').'"'; break;
    case 'sqlit': $strWhere .= ' AND SUBSTR(t.firstpostdate,1,8)>"'.DateAdd(date('Ymd'),-8,'day').'"'; break;
    case 'acces': $strWhere .= ' AND LEFT(t.firstpostdate,8)>"'.DateAdd(date('Ymd'),-8,'day').'"'; break;
    case 'db2':   $strWhere .= ' AND SUBSTR(t.firstpostdate,1,8)>"'.DateAdd(date('Ymd'),-8,'day').'"'; break;
    case 'ifx':   $strWhere .= ' AND SUBSTRING(t.firstpostdate,1,8)>"'.DateAdd(date('Ymd'),-8,'day').'"'; break;
    case 'oci':   $strWhere .= ' AND SUBSTR(t.firstpostdate,1,8)>"'.DateAdd(date('Ymd'),-8,'day').'"'; break;
    default: die('Unknown db type '.$oDB->type);
    }
  }
  else
  {
    // the month
    $intMonth = intval($strTime);
    // check if month from previous year
    if ( $intYear==date('Y') && $intMonth>date('n') ) $intYear = $intYear-1;

    switch(substr($oDB->type,0,5))
    {
    case 'mysql': $strWhere .= ' AND LEFT(t.firstpostdate,6)="'.($intYear*100+$intMonth).'"'; break;
    case 'mssql': $strWhere .= ' AND LEFT(t.firstpostdate,6)="'.($intYear*100+$intMonth).'"'; break;
    case 'pg':    $strWhere .= ' AND SUBSTRING(t.firstpostdate,1,6)="'.($intYear*100+$intMonth).'"'; break;
    case 'ibase': $strWhere .= ' AND SUBSTRING(t.firstpostdate FROM 1 FOR 6)="'.($intYear*100+$intMonth).'"'; break;
    case 'sqlit': $strWhere .= ' AND SUBSTR(t.firstpostdate,1,6)="'.($intYear*100+$intMonth).'"'; break;
    case 'acces': $strWhere .= ' AND LEFT(t.firstpostdate,6)="'.($intYear*100+$intMonth).'"'; break;
    case 'db2':   $strWhere .= ' AND SUBSTR(t.firstpostdate,1,6)="'.($intYear*100+$intMonth).'"'; break;
    case 'ifx':   $strWhere .= ' AND SUBSTRING(t.firstpostdate,1,6)="'.($intYear*100+$intMonth).'"'; break;
    case 'oci':   $strWhere .= ' AND SUBSTR(t.firstpostdate,1,6)="'.($intYear*100+$intMonth).'"'; break;
    default: die('Unknown db type '.$oDB->type);
    }
  }
  if ( $strStatus!='-1' ) $strWhere .= ' AND t.status="'.$strStatus.'"';

// criteria tag

  $str = '';
  foreach ($arrTags as $strTag)
  {
    if ( !empty($str) ) $str .= ' OR ';
    $str .= 't.tags LIKE "%'.$strTag.'%"';
  }
  if ( !empty($str) ) $strWhere .= ' AND ('.$str.')';

// order

  $strFullOrder = 't.'.$strOrder.' '.$strDirec;
  if ( $strOrder=='title' ) $strFullOrder='p.title'.' '.$strDirec;
  if ( $strOrder=='sectiontitle' ) $strFullOrder='s.title'.' '.$strDirec;
  // second order
  if ( $strOrder!='lastpostdate' ) $strFullOrder .= ',t.lastpostdate DESC';

// --------
// HTML START
// --------

$strHeadScript = '
<script type="text/javascript" src="bin/qt_jquery.js"></script>
<script type="text/javascript">
<!--
$(document).ready(function() {
  $(".tag").hover(function() {
    var oTag = $(this);
    $.post("qtr_j_tag.php",{s:oTag.attr("title"),val:oTag.html(),lang:"'.$_SESSION[QT]['lang_iso'].'",na:"('.strtolower($L['E_no_desc']).')"}, function(data) { oTag.attr({title:data}); } );
    });
  });
-->
</script>
';

if ( $bMap )
{
  $arrMapPoints = array();
  $strHeadScript = QTgmapheader('http://gmaps-utility-library.googlecode.com/svn/trunk/markermanager/release/src/markermanager.js');
  $strBodyAddOnunload='GUnload()';
}

$bJava = false;

include('qtr_p_header.php');

echo '<table class="ta_button" cellspacing="0">',N;
echo '<tr class="tr_button">',N;
echo '<td>&nbsp;</td>',N;
echo '<td style="width:25px" class="td_button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_t_0.gif','T',$L['Ico_topic_t_0'],'ico ico_t'),'</td>',N;
echo '<td style="width:120px" class="td_button">&nbsp;<a href="qtr_search_ov.php?a=last" class="a_button">',$L['Recent_messages'],'</a>&nbsp;</td>',N;
echo '<td style="width:10px">&nbsp;</td>',N;
echo '<td style="width:25px" class="td_button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_a_0.gif','T',$L['Ico_topic_a_0'],'ico ico_t'),'</td>',N;
echo '<td style="width:120px" class="td_button">&nbsp;<a href="qtr_search_ov.php?a=news" class="a_button">'.$L['All_news'].'</a>&nbsp;</td>',N;
if ($oVIP->role!='V')
{
  echo '<td style="width:10px">&nbsp;</td>',N;
  echo '<td style="width:25px" class="td_button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_user_p_1.gif','T',$L['Ico_user_p_1'],'ico ico_user'),'</td>',N;
  echo '<td style="width:120px" class="td_button">&nbsp;<a href="qtr_search_ov.php?a=user&amp;id=',$oVIP->id,'&amp;n=',urlencode($oVIP->username),'" class="a_button">',$L['All_my_topics'],'</a>&nbsp;</td>',N;
}
echo '</tr>',N;
echo '</table>',N;

echo '<h2>',$oVIP->selfname,'</h2>',N;

// -----
// COUNT
// -----

$oDB->Query( 'SELECT count(*) as countid FROM '.TABTOPIC.' t INNER JOIN '.TABSECTION.' s ON t.section=s.id WHERE '.$strWhere );
$row = $oDB->Getrow();
$intCount = $row['countid'];

// FOUND

$strSubtitle='';
if ( $strTime=='-1' )    { $strSubtitle = $L['Any_time']; }
elseif ( $strTime=='w' ) { $strSubtitle = $L['This_week']; }
elseif ( $strTime=='m' ) { $strSubtitle = $L['This_month']; }
elseif ( $strTime=='y' ) { $strSubtitle = $L['This_year']; }
elseif ( is_numeric($strTime) ) $strSubtitle = $L['dateMMM'][intval($strTime)].' '.$intYear;
if ( $strStatus=='-1' )
{
  $strSubtitle .= ', '.$L['Any_status'];
}
else
{
  $strSubtitle .= ', '.$oSYS->statuses[$strStatus]['statusname'];
}
if ( count($arrTags)>0 )  $strSubtitle .= ', '.$L['Tag_only'].' '.implode(' or ',$arrTags);
if ( $s>=0 ) $strSubtitle .= ' ('.$L['Section'].': '.(isset($oSYS->sections[$s]) ? $oSYS->sections[$s] : '').')';

$strSubtitle = '<p>'.$strSubtitle.' &middot; '.LangS('Result',$intCount).'</p>';

// NO RESULT

if ($intCount==0)
{
  echo $strSubtitle;
  echo '<p>',$L['E_no_result'],'</p>',N;
  echo '<p>&laquo;&nbsp;<a href="',$oVIP->exiturl,'">',$oVIP->exitname,'</a></p>';
  include('qtr_p_footer.php');
  exit;
}

// -----
// QUERY
// -----

$oDB->Query( 'SELECT t.*, p.icon, p.title, p.textmsg, s.numfield, s.prefix FROM '.TABTOPIC.' t INNER JOIN '.TABSECTION.' s ON t.section = s.id INNER JOIN '.TABPOST.' p ON t.firstpostid = p.id WHERE '.$strWhere.' ORDER BY '.$strFullOrder );

// --------
// Content
// --------

echo $strSubtitle;

echo '<table class="ta ta_t" cellspacing="0">',N;
echo '<tr class="tr_t tr_t0">',N;

$arrFields = array(); // SORT LABEL CLASS STYLE
$arrFields['status'] = array(FALSE,S, 'th_t th_t_ico th_t_first', 'width:25px');
$arrFields['numid'] = array(TRUE, $L['Ref'], 'th_t th_t_ref', 'width:50px');
$arrFields['smile'] = array(FALSE,S, 'th_t th_t_inf', 'width:20px');
$arrFields['title'] = array(TRUE, $L['Topics'], 'th_t th_t_tit', '');
$arrFields['you'] = array(FALSE,S, 'th_t th_t_inf', 'width:10px');
$arrFields['sectiontitle'] = array(TRUE, $L['Section'], 'th_t th_t_inf', '');
$arrFields['firstpostname'] = array(TRUE, $L['Topic_starter'], 'th_t th_t_inf', 'width:125px');
$arrFields['lastpostdate'] = array(TRUE, $L['Last_message'], 'th_t th_t_inf', 'width:125px');
$arrFields['tags'] = array(FALSE, $L['Tag'], 'th_t th_t_inf th_t_last', 'width:80px');

/* ======== */
TableHeader($arrFields,$intCount,'qtr_search_ti.php?y='.$intYear.'&amp;ti='.$strTime.'&amp;tag='.$strTags.'&amp;s='.$s.'&amp;page=1',$strOrder,$strDirec);
/* ======== */

echo '</tr>',N;

// insert topics rows
$bAddPrefix = true;
$bAddSection = true;
$bAddRef = true;
$strExtra='tags';
if ( $bMap ) { if ( $_SESSION[QT]['m_map']['S']['icon']!='S' ) { $arrSymbol = array($_SESSION[QT]['m_map']['S']['icon'],$_SESSION[QT]['m_map']['S']['shadow'],$_SESSION[QT]['m_map']['S']['printicon'],$_SESSION[QT]['m_map']['S']['printshadow']); } }
include('qtr_topics_inc.php');

echo '<tr class="tr_t tr_t9">',N;
echo '<td class="tf_t tf_t_first"></td>',N;
For ($i=0;$i<(count($arrFields)-2);$i++)
{
echo '<td class="tf_t"></td>',N;
}
echo '<td class="tf_t tf_t_last"></td>',N;
echo '</tr>',N;

echo '</table>',N;

// -- no data --
if ( $intWhile==0 ) echo '<tr><td class="td_t td_t_tit1" colspan="6">',$L['None'],'...</td></tr>',N;

// MAP MODULE

if ( $bMap )
{
  if ( count($arrMapPoints)==0 )
  {
  echo '<p class="p_gmap">'.$L['map']['E_noposition'].'</p>';
  }
  else
  {
     //select zoomto (maximum 15 items in the list)
     if ( count($arrMapPoints)>1 )
     {
       $str = '<p class="p_gmap" style="margin:0 0 4px 0"><a class="a_gmap" href="javascript:void(0)" onclick="zoomToFullExtend(); return false;">'.$L['map']['zoomtoall'].'</a> | '.$L['Goto'].' <select class="gmap" id="zoomto" name="zoomto" size="1" onchange="map.setCenter(eval(this.value));">';
       $str .= '<option class="gmap" value="new GLatLng('.QTgety($_SESSION[QT]['m_map_gcenter']).','.QTgetx($_SESSION[QT]['m_map_gcenter']).')"> </option>';
       $i=0;
       foreach ( $arrMapPoints as $intKey => $oMapPoint )
       {
       $str .= '<option class="gmap" value="new GLatLng('.$oMapPoint->y.','.$oMapPoint->x.')">'.$oMapPoint->title.'</option>';
       $i++; if ( $i>15 ) break;
       }
       $str .= '</select></p>';
     }
  echo '
  <table class="ta_hidden" style="margin-top:5px;">
  <tr class="tr_hidden">
  <td class="div_gmap">
  ',( count($arrMapPoints)>1 ? $str :'' ),'
  <div id="map_canvas" style="width:100%; height:350px;"></div>
  <p class="p_gmap" style="margin:4px 0 0 0">',sprintf($L['map']['items'],strtolower( LangS('Topic',count($arrMapPoints))),strtolower(LangS('Topic',$intCount)) ),'</p>
  </td>
  </tr>
  </table>
  ';
  }
}

echo '<p>&laquo;&nbsp;<a href="',$oVIP->exiturl,'">',$oVIP->exitname,'</a></p>';

// --------
// HTML END
// --------

if ( $bMap ) {
if ( count($arrMapPoints)>0 ) {

  $x = QTgetx($_SESSION[QT]['m_map_gcenter']);
  $y = QTgety($_SESSION[QT]['m_map_gcenter']);

  // center on the first ticket
  foreach ($arrMapPoints as $intKey => $oMapPoint)
  {
    if ( !empty($oMapPoint->y) && !empty($oMapPoint->x) )
    {
    $y = $oMapPoint->y;
    $x = $oMapPoint->x;
    break;
    }
  }

  $strFooterAddScript = QTgmappoints($L['map'],$y,$x,'click',$arrMapPoints).N.'mapload();';

}}

include('qtr_p_footer.php');

?>