<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.6 build:20081216
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtr_init.php');
if ( $_SESSION[QT]['visitor_right']<3 && $oVIP->role=='V' )
{
  include('qtr_p_header.php');
  HtmlMsg(0);
  echo $L['R_login_register'];
  HtmlMsg(1);
  include('qtr_p_footer.php');
  exit;
}
if ( !$oVIP->CanAccess('MUV',3,true) ) $oVIP->EndMessage('!',$L['R_member'],$_SESSION[QT]['skin_dir'],0);

if ( !isset($_SESSION[QT]['editing']) ) $_SESSION[QT]['editing']=false;

// ---------
// PRE SETTINGS
// ---------

$s = -1;
$t = -1;
$tt = 'ticket';
$bCanEdit = false;
$_SESSION[QT]['editing']=false;
if ( isset($_GET['s']) ) $s = intval($_GET['s']);
if ( isset($_POST['s']) ) $s = intval($_POST['s']);
if ( isset($_GET['t']) ) $t = intval($_GET['t']);
if ( isset($_POST['t']) ) $t = intval($_POST['t']);
if ( isset($_GET['tt']) ) $tt = $_GET['tt'];
if ( isset($_POST['tt']) ) $tt = $_POST['tt'];

// Tabs dictionary

CheckDico('tag',true);

// --------
// INITIALISE
// --------

if ( $s<0 ) die('Missing section id...');
if ( $t<0 ) die('Missing topic id...');

$oSEC = new cSection($s);

  if ( $oSEC->type==1 && ($oVIP->role=='V' || $oVIP->role=='U') )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_moderator'],$_SESSION[QT]['skin_dir'],0);
  }
  if ( $oSEC->type==2 && $oVIP->role=='V' )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_member'],$_SESSION[QT]['skin_dir'],0);
  }

  if ( $oSEC->type==2 && $oVIP->role=='U' && $oTopic->firstpostuser != $oVIP->id )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_member'],$_SESSION[QT]['skin_dir'],0);
  }

$oTopic = new cTopic($t,$oVIP->id);

if ( $oTopic->type=='A' )
{
  // get only 2 tabs in case of news-topic
  $arrTabs = cTab::GetTabs(-2);
  if ( $tt=='ticket' ) $tt='messages';
}
else
{
  $arrTabs = cTab::GetTabs($s,false);

  // add 'other' to the tabs (if $arrOtherTabs is not empty)
  $arr = $oTopic->GetDataTabs(array_keys($arrTabs));
  if ( count($arr)>0 )
  {
    $arrTabs['other'] = cTab::GetTab('other');
    // create a new list with the db-properties of the other tabs
    $arrOtherTabs = array();
    foreach($arr as $str)
    {
      $arrOtherTabs[$str] = cTab::GetTab($str);
    }
  }
}

$limit = 0;
$PAGEcurr = 1;
if (isset($_GET['page'])) { $limit = ($_GET['page']-1)*$_SESSION[QT]['replies_per_page']; $PAGEcurr=$_GET['page']; }
if (isset($_GET['view'])) { $_SESSION[QT]['viewmode'] = $_GET['view']; }

$oVIP->selfurl = 'qtr_topic.php';
$oVIP->exiturl = 'qtr_topics.php?s='.$s;
$oVIP->selfname = $L['Messages'];

// MAP MODULE

$bMap = UseModule('map');
if ( $bMap ) { if ( $tt!='ticket' && $tt!='gmap' ) $bMap=false; }
if ( $bMap ) { if ( empty($_SESSION[QT]['m_map_gkey']) ) $bMap=false; }
if ( $bMap ) { require_once('qtrm_map_lib.php'); if ( !QTgcanmap($s) ) $bMap=false; }
if ( $bMap ) include(Translate('qtrm_map.inc'));

// TOPIC DESCRIPTION AND MAP

$strDescr = '';
$strLocation = '';

// topic description

if ($_SESSION[QT]['section_desc']=='1')
{
  if ( $oTopic->numid >= 0 && $oSEC->numfield!='N' )
  {
  $strDescr .= '<p id="topic_reference">'.N;
  $strDescr .= sprintf($oSEC->numfield,$oTopic->numid);
  if ( $oTopic->type=='T') $strDescr .= ' &middot; '.$oSYS->statuses[$oTopic->status]['statusname'];
  $strDescr .= '</p>'.N;
  }
}

// --------
// HTML START
// --------

$bToPrint=true;

if ( $bMap ) {
if ( !empty($oTopic->x) && !empty($oTopic->y) ) {
  $strHeadScript = QTgmapheader();
  $strBodyAddOnunload='GUnload()';
}}

$arrCss = array('qtr_calendar.css');

$bIE=true;
include('qtr_p_header.php');


// DISPLAY TOPIC DESCRIPITION

if ( !empty($strDescr) || !empty($strLocation) )
{
  echo '
  <!-- Topic description -->
  <table class="ta_hidden" cellspacing="0">
  <colgroup span="2"><col width="180"></col><col></col></colgroup>
  <tr class="tr_hidden">
  <td class="td_hidden">',$strDescr,'</td>
  <td class="td_hidden">&nbsp;</td>
  </tr>
  </table>
  <!-- Topic description -->';
}

foreach ($arrTabs as $tt=>$arrTab)
{
echo '<table class="ta_pan" cellspacing="0">
<tr class="tr_pan">
<td class="td_pan">
<div class="div_pan_top">',( isset($_SESSION['L']['tabdesc'][$tt]) ? ObjTrans('tabdesc',$tt,false) : ObjTrans('tab',$tt) ),'</div>
';
switch($tt)
{
case 'ticket':   include('qtr_topic_t.php'); break;
case 'messages': include('qtr_topic_m.php'); break;
case 'documents':include('qtr_topic_d.php'); break;
case 'other':    include('qtr_topic_xo.php'); break;
default:         include('qtr_topic_x.php');
}
echo '
</td>
</tr>
</table>
';
}

// --------
// HTML END
// --------

if ( $bMap ) {
if ( !empty($oTopic->y) && !empty($oTopic->x) ) {

  $y = floatval($oTopic->y);
  $x = floatval($oTopic->x);
  $str = ( $oSEC->numfield=='N' ? '' : sprintf($oSEC->numfield,$oTopic->numid) );

  $oMapPoint = new cMapPoint($y,$x,$str);
  if ( isset($_SESSION[QT]['m_map'][$s]['icon']) )        $oMapPoint->icon        = $_SESSION[QT]['m_map'][$s]['icon'];
  if ( isset($_SESSION[QT]['m_map'][$s]['shadow']) )      $oMapPoint->shadow      = $_SESSION[QT]['m_map'][$s]['shadow'];
  if ( isset($_SESSION[QT]['m_map'][$s]['printicon']) )   $oMapPoint->printicon   = $_SESSION[QT]['m_map'][$s]['printicon'];
  if ( isset($_SESSION[QT]['m_map'][$s]['printshadow']) ) $oMapPoint->printshadow = $_SESSION[QT]['m_map'][$s]['printshadow'];
  $arrMapPoints = array( $oMapPoint );

  $strFooterAddScript = QTgmappoints($L['map'],$y,$x,'',$arrMapPoints,false,$_SESSION[QT]['viewmode']=='C').N.'mapload();';

}}

include('qtr_p_footer.php');

?>